#!/usr/bin/perl
#Perform macro substitution on .rcp.src to create .rcp

foreach $arg (@ARGV) {
   if ($arg =~ /^\s*(\S+)=(\S+)\s*$/) {
      $var{$1}=$2;
   }
   if ($arg =~ /^-f(\S+)\s*$/) {
      push (@files, $1);
   }
}

foreach $file (@files) {
   $outfile = $file;
   $outfile =~ s/\.rcp\.src/\.rcp/;
   open (input, "<$file");
   open (output, ">$outfile");
   while (<input>) {
      while (/\$\((.*)\)/) {
         print;
         $a = $var{$1};
         print "\$($1) -> $a\n";
         s/\$\($1\)/$a/g;
         print;
      }
      print $1;
      print $var{$1};
      print output;
   }
}
