///////////////////////////////////////////////////////////////////////////////
// PalmOS Application to view the Caltrain Schedule
//
// Copyright info:
//    This is free software; you can redistribute it and/or modify
//    it as you like.
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
//
//  FileName:
//    Caltrain.h
// 
//  Description:
//    Defines for the rc compiler. 
//    This app is derived from the Tex 2 Hex 1.0 sample source written by
//    Andrew Howlett (howlett@iosphere.net) provided with his ASDK tutorial.
//
// History:
//    11-Feb-1999  - Created as Tex2Hex
//    4/3/2000     - Used as the base for Caltrain Schedule by Rob Baynes
///////////////////////////////////////////////////////////////////////////////


// version resorce
#define resVersionID                1


// forms
#define resFormIDCaltrain           1000
#define resFormIDAbout              1001
#define resAlertIDInfo              1002


// bitmaps
#define resBitmapIDLogo             1010


// about form controls
#define resAboutLabel1              1020
#define resAboutLabel2              1021
#define resAboutLabel3              1022
#define resAboutLabel4              1023
#define resAboutLabel5              1024
#define resAboutLabel6              1025
#define resAboutOkBut               1026


// menu and items
#define resMenuIDCaltrain           1030
#define resMenuItemCopy             1031  
#define resMenuItemAbout            1032  
#define resMenuItemInfo             1033


// main form controls
#define resFromTrigger              1042
#define resFromStationList          1043
#define resToTrigger                1045
#define resToStationList            1046
#define resDayTrigger               1047
#define resDayList                  1048
#define resTrainLabel               1049
#define resTimeTable                1052
#define resTableScrollBar           1053


// end of file