
#ifndef Global_H
#define Global_H

#if (!defined ML_FRENCH && !defined ML_ENGLISH && !defined ML_GERMAN)
#error
#endif



#ifdef __cplusplus
extern "C"{
#endif






#ifndef CAVIST_MFC
#include <System/SysAll.h>
#include <UI/UIAll.h>
#endif



#ifdef __cplusplus
}
#endif




#include "MultiLanguage.h"






#define _DONT_USE_FP_TRAPS_ 0
//#include <system/newfloatmgr.h>


#undef LOWORD
#undef HIWORD




#define TRUE 1
#define FALSE 0

#ifdef CAVIST_MFC
	#define NULL 0

	#include "..\csv2cavist\stdafx.h"



	#define BIG_TO_LITTLE_LONG(val)						\
			val = (DWORD)(((BYTE*)&val)[0] << 24) + (DWORD)(((BYTE*)&val)[1] << 16) + (DWORD)(((BYTE*)&val)[2] << 8) + (DWORD)(((BYTE*)&val)[3] );

	#define BIG_TO_LITTLE_SHORT(val)				\
		val = (WORD)( ( (BYTE*)&val )[0] << 8 ) + (WORD)( ( (BYTE*)&val )[1] );



	#define INT_MAX 2147483647
	#ifndef HIWORD
		#define HIWORD(l)   ((WORD) (((DWORD) (l) >> 16) & 0xFFFF))  
	#endif
	#ifndef LOWORD
		#define LOWORD(l)   ((WORD) (l))  
	#endif


	typedef unsigned char BYTE;
	typedef unsigned short Word;
	typedef unsigned short WORD;
	typedef unsigned long DWord;
	typedef unsigned long DWORD;
	typedef BYTE BOOLEAN;
	typedef BYTE Boolean;
	typedef void* Ptr;
	typedef void* voidPtr;
	typedef long EventType;
	typedef void** VoidHandle;

//#undef MessageBox

#else

	typedef unsigned char BYTE;
	typedef VoidHand VoidHandle;
	typedef void* voidPtr;

	#define BIG_TO_LITTLE_LONG(val)		val
	#define BIG_TO_LITTLE_SHORT(val)	val

#endif // CAVIST_MFC

#endif	// GLOBAL_H

