
#ifndef PPreferencesINCLUDED
#define PPreferencesINCLUDED



#include "global.h"

#include "pcollection.h"
#include "pstring.h"



class PPreferences
{

public:

	PPreferences();
	~PPreferences();

	static short getSelectedBottleIndex()			{ return selectedBottleIndex_; };
	static void setSelectedBottleIndex(short index)	{ selectedBottleIndex_ = index; };

	static short getSelectedRegion()			    { return selectedRegion_; };
	static void setSelectedRegion(short nb)		    { selectedRegion_ = nb; };

	
    static Boolean getStarsForAppreciation();
	static void setStarsForAppreciation(Boolean val);

    static Boolean getShowAppelationInMainView();
	static void setShowAppelationInMainView(Boolean val);


    
    static Boolean load(PRecord& buffer);
	static void save(PRecord& buffer);


	static long getNextBottleId()					{ id_++; return id_; };

	static void retrieve();
	static void setPrefs();


private:

	static short id_;
	static short selectedBottleIndex_;
	static short selectedFilterIndex_;
	static short selectedRegion_;
    
    static char starsForAppreciation_;
    static char showAppelationInMainView_;

};

#endif