

#include "global.h"
#include "callback.h"
#include "cprotos.h"
#include "ids.h"

#include "pstring.h"

#include "ppreferences.h"



void getPrefs()
{
    Boolean bl;
    ControlPtr ctl;
	
    // Stars - Numbers
	ctl = (ControlPtr)GetObjectPtr(STARS_CHECK_ID);
    bl = CtlGetValue(ctl);
    PPreferences::setStarsForAppreciation(bl);

    // Appelation - Cru
	ctl = (ControlPtr)GetObjectPtr(APPELATION_CHECK_ID);
    bl = CtlGetValue(ctl);
    PPreferences::setShowAppelationInMainView(bl);

    /*
    PString str;
    str.print("Stars for appr: %d\nShow appelation: %d", PPreferences::getStarsForAppreciation(), PPreferences::getShowAppelationInMainView());
    MessageBox(str.data());
    */
}

void setPrefs()
{
    ControlPtr ctl;
    Boolean bl;

    // Stars
	ctl = (ControlPtr)GetObjectPtr(STARS_CHECK_ID);
    bl = PPreferences::getStarsForAppreciation();
    CtlSetValue(ctl, bl);
    // Numbers (vs stars)
	ctl = (ControlPtr)GetObjectPtr(NUMBERS_CHECK_ID);
    CtlSetValue(ctl, !bl);

    // Appelation
	ctl = (ControlPtr)GetObjectPtr(APPELATION_CHECK_ID);
    bl = PPreferences::getShowAppelationInMainView();
    CtlSetValue(ctl, bl);
    // Cru (vs Appelation)
	ctl = (ControlPtr)GetObjectPtr(CRU_CHECK_ID);
    CtlSetValue(ctl, !bl);

}




Boolean preferencesEventHandler(EventType* event)
{

	int       handled = 0;
	FormPtr   form;

	switch (event->eType)
	{
//------------------------------------------------------------
	case frmOpenEvent:
		{
			FntSetFont(stdFont);

            setPrefs();

			form = FrmGetActiveForm();
			FrmDrawForm(form);

			handled = 1;
		}
		break;

//------------------------------------------------------------
	case ctlSelectEvent:  // A control button was pressed and released.
		switch(event->data.ctlEnter.controlID)
		{
		case DONE_BT:
			getPrefs();

        case CANCEL_BT:
			FrmSaveAllForms();
			FrmCloseAllForms();
			FrmGotoForm(MAIN_FORM_ID);
			handled = 1;
			break;
		};
	};

	return handled;
}

