#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <StringMgr.h>
#include "geordi.h"
#include "geordi_ui.h"

Boolean CommandFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormType *frm;
    FieldType *CmdFld;
    Char CmdTitle[30];
    Char *FldPtr;
    extern Char PT_SelectedPID[5];
    extern Char PT_SelectedCMD[40]; 
	
    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        StrCopy(CmdTitle,"Command text for pid ");
        StrCat(CmdTitle,PT_SelectedPID);
        FrmDrawForm(frm);
        CmdFld = FrmGetObjectPtr(frm,FrmGetObjectIndex(frm,FldCmdFullName));
        FldPtr = FldGetTextPtr(CmdFld);
        FldSetTextPtr(CmdFld,PT_SelectedCMD);
        FldRecalculateField(CmdFld,true);
        FldDrawField(CmdFld);

        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

           case BtnFullCmd:
                FrmReturnToForm(MainForm);
                handled = true;
                break;
        }
        break;
    default:
        break;
    }

    return handled;
}
