#include <PalmOS.h>
#include <PalmCompatibility.h>
#include <StringMgr.h>
#include "geordi.h"
#include "geordi_ui.h"

Boolean FilterFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormType *frm;
    FieldType *FilterFld;
    Char *FldPtr;
    extern Char G_filterline[40];
    extern Boolean G_UseFilter;
	
    switch (e->eType) {
    case frmOpenEvent:
	frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

           case BtnFilterCan:
                FrmReturnToForm(MainForm);
                handled = true;
                break;
	   case BtnFilterApp:
		frm = FrmGetActiveForm();
		FilterFld = FrmGetObjectPtr(frm,FrmGetObjectIndex(frm,FldFilterTxt));
		FldPtr = FldGetTextPtr(FilterFld);
		if(FldPtr != NULL) {
			StrCopy(G_filterline,FldPtr);
			G_UseFilter = true;
			FrmReturnToForm(MainForm);
			Geordi_DoPSCmd();
		}
		handled = true;
		break;
	   case BtnFilterClear:
		StrCopy(G_filterline,"                                       ");
		G_UseFilter = false;
		FrmReturnToForm(MainForm);
		Geordi_DoPSCmd();
		handled = true;
		break; 
        }
        break;
    default:
        break;
    }

    return handled;
}
