#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"
 
Boolean MountFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;

    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

           case BtnMntCan:
                FrmGotoForm(DskForm);
                handled = true;
                break;
        }
	break;
    case tblSelectEvent:
	DskTblRow = e->data.tblSelect.row;
	DskTblCol = e->data.tblSelect.column;
	frm=FrmGetActiveForm();	
	DskTable = FrmGetObjectPtr(frm,FrmGetObjectIndex(frm,TblDfTable));

	if (DskTblCol == 0) {
		FrmPopupForm(MountForm);
	}
	break;
	
    default:
        break;
    }

    return handled;
}
