#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

extern UInt16 GS_SendCommand(Char *CmdStr);
extern Char* GS_GetLine(Int32 gst);
extern Char* get_field(Char* wholestr, Char sep, int fieldpos);
extern void PopulateField(Char *NewFldText, Int16 FieldID);
 
Boolean UIDFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;
    Char *userline;
    Char *unameptr;
    Char *uidptr;
    Char *gidptr;
    Char *gcosptr;
    Char *homeptr;
    Char *cteptr;
    Char uname[9];
    Char uid[5];
    Char gid[5];
    Char gcos[80];
    Char ctetext[40];
    Char home[80];
    Char cmdtext[40];
     
    extern Char PT_SelectedUname[9];


    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
	StrPrintF(cmdtext,"sudo cat /etc/passwd|grep %s\n",PT_SelectedUname);
	GS_SendCommand(cmdtext);
	userline = GS_GetLine(10);
	MemPtrFree(userline);
	userline = GS_GetLine(10);
        unameptr = get_field(userline,':',1);
	StrCopy(uname,unameptr);
        MemPtrFree(unameptr);
	PopulateField(uname,FldLogin);
	 
	uidptr = get_field(userline,':',3);
        StrCopy(uid,uidptr);
	MemPtrFree(uidptr);
	PopulateField(uid,FldUID);

	gidptr = get_field(userline,':',4);
	StrCopy(gid,gidptr);
	MemPtrFree(gidptr);
	PopulateField(gid,FldGID);
	
	gcosptr = get_field(userline,':',5);
	StrCopy(gcos,gcosptr);
	MemPtrFree(gcosptr);
	PopulateField(gcos,FldGCOS);
	
	homeptr = get_field(userline,':',6);
	StrCopy(home,homeptr);
	MemPtrFree(homeptr);
	PopulateField(home,FldHome);

	cteptr = get_field(userline,':',7);
	StrCopy(ctetext,cteptr);
	MemPtrFree(cteptr);
	PopulateField(ctetext,FldSh);

        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

	   case BtnUIDOk:
		FrmGotoForm(MainForm);
		handled = true;
		break;
        }
	break;

    default:
        break;
    }

    return handled;
}
