#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

static Boolean AboutFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;
    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
       handled = true;
       break;

    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

                case BtnAboutOK:
                     FrmGotoForm(MainForm);
                     handled = true;
                     break;
        }
        break;
    default:
        break;
    }
   return handled;
}
