#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

extern void SetIfaceAddr(FormType *frm);
extern void GetAddrFromIface(FormType *frm, ListType *iflist);

Boolean IfaceListFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;
    ListType *IfaceList; 

    frm = FrmGetActiveForm();
    switch (e->eType) {
    case frmOpenEvent:

        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
  
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

        case BtnIfCan:
                FrmReturnToForm(MainForm);
                handled = true;
                break;
        case BtnIfOk:
                FrmReturnToForm(MainForm);
                handled = true;
                break;
        case BtnIfApp:
                SetIfaceAddr(frm);
                handled = true;
                break;
        }
        break;
    case popSelectEvent:
        switch(e->data.popSelect.controlID) {

        case PopIfaceTrig:
                IfaceList = FrmGetObjectPtr(frm,FrmGetObjectIndex(frm,LstIface));
                GetAddrFromIface(frm,IfaceList);
        break; 
        }

    default:
        break;
    }

    return handled;
}


