#include <Pilot.h>
#include "iLarnRsc.h"
#include "Globals.h"

/***********************************************************************
 * For most kinds of items, when you walk on them, you get to choose
 * up to 4 possible actions.  This is the form that lets you select
 * which action to perform.  The buttons are relabeled or disabled
 * according to the kind of item.
 ***********************************************************************/

Boolean Question_Form_HandleEvent(EventPtr e)
{
  Boolean handled = false;
  FormPtr frm;
  Boolean took_time = false;
  switch (e->eType) {

  case frmOpenEvent:
    frm = FrmGetActiveForm();
    FrmDrawForm(frm);
    setupQuestionForm(frm);
    handled = true;
    break;

  case ctlSelectEvent:
    LeaveForm(); // LeaveForm(false);
    handled = true;
 //  print_stats(env); // why is this here? because the form was not redrawing?
    switch(e->data.ctlSelect.controlID) {
    case btn_qst_1:
      took_time = dspchQuestionForm(btn_qst_1 - btn_qst_1);
      break;
    case btn_qst_2:
      took_time = dspchQuestionForm(btn_qst_2 - btn_qst_1);
      break;
    case btn_qst_3:
      took_time = dspchQuestionForm(btn_qst_3 - btn_qst_1);
      break;
    case btn_qst_ign:
      took_time = dspchQuestionForm(btn_qst_ign - btn_qst_1);
      break;
    }
    if (took_time) {
      // let's see if this works....  might be overkill.
      env->dropflag = true;
      start_of_Play_Level_loop();
    }
    // else if (env->pending_splash)
    //      show_messages();  // FrmPopupForm(SplashForm);
    break;

  default:
    break;
  }
  return handled;
}
