/*
 * File: format.h
 * Author: Holger Klawitter
 * Date: 28.07.1997
 *
 * Printing Floating point numbers.
 */

#ifndef _format_h_

#ifndef pc
#  include <PalmOS.h>
#endif

#define FMT_ENG 16 /* use engineeing notation */
#define FMT_EXP 32 /* force exponental notation */

void hkftoa(CharPtr buf, double f, Int16 flags );
/* Prints the number in different modes.
 * in: buf   - storage for string representation, must be sufficient.
 *     f     - the number to be printed
 *     flags - bitvector for different modes precision + flags
 *             precision must be between 0 and 15
 *             numbers higher than 5 are mostly useless.
 */

#endif
