/*
 * File: global.h
 * Author: Holger Klawitter
 * Date: 12.04.1997
 *
 * Global mode variables.
 * (Defined in upn.c)
 *
 */

#ifndef _global_h_
#define _global_h_

#include <Common.h>

/* Number of digits for fixed representation */
extern Int prec; 

/***********************************************************************
 * Mode variables
 * All modes contain the ObjectID of the corresponding widget
 * which has turned this mode on. This widget is unique!
 **********************************************************************/

 /* How shall the numbers be printed.
  * must be OptAll, OptFixed, OptSci or OptEng
  */
extern Word displayMode;

/* Kind of angle for trigonimetric functions
 */
extern Word angleMode;

/* Current base. 
 * possible values: OptDec, OptBin, OptOct or OptHex
 */
extern Byte baseMode;

#endif
