;**************************************************************************
;*  debug.asm
;*
;*  2000-04-08	Bodo Wenzel	V1.0, Creation
;*  2000-11-03	Bodo Wenzel	V1.1, Work around against "Fatal Exception"
;**************************************************************************

; This file should be included whenever you need a debug output...

	code

;--------------------------------------------------------------------------
;void Debug(Int16 id,UInt32 value)
;---------------------------------
proc	Debug(id.w,value.l)
local	s.20
beginproc
	movem.l	a0-a3/d0-d3,-(sp)
	systrap	StrPrintF(&s(a6),&debugFormat(pc),id(a6).w,value(a6).l)
	systrap	FrmCustomAlert(#9999.w,&s(a6),&debugDummy(pc),&debugDummy(pc))
	movem.l	(sp)+,a0-a3/d0-d3
endproc

debugFormat
	dc.b	'%hd : %08lX',0
debugDummy
	dc.b	' ',0
	align	2

	res	'Talt',9999
	dc.w	informationAlert
	dc.w	0,1,0
	dc.b	'Debug',0
	dc.b	'^1',0
	dc.b	'OK',0

;=== The end... ===========================================================
