/**
    $Author: chaese $
    $Revision: 1.1 $
    Last updated: $Date: 2000/11/10 01:25:55 $

    $Log: EditAccountForm.h,v $
    Revision 1.1  2000/11/10 01:25:55  chaese
    merged New Account and Account Details forms


    Copyright (C) 2000 Vlad Mereuta <dizzy@users.sourceforge.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#ifndef __EDIT_ACCOUNT_FORM__
#define __EDIT_ACCOUNT_FORM__

#include <PalmOS.h>

#include "AccountsDB.h"
#include "MiscFunc.h"
#include "PalmCoinsRsc.h"

///saves the changes to the database
Boolean EditAcc_Save();

///set the values of various form fields from the database
void	EditAcc_Init();

///handles category selection
void	EditAcc_SelectCat();

///event handler for the form
Boolean EditAcc_HandleEvent(EventPtr event);

#endif
