//-
// Copyright (c) 2000 Jason K. Fritcher <jkf@wolfnet.org>
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 1. Redistributions of source code must retain the above copyright
//    notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
//    notice, this list of conditions and the following disclaimer in the
//    documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
// ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
// FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
// DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
// OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
// OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
// SUCH DAMAGE.
//
//	$Id: palmkey_rcp.h,v 1.7 2000/02/23 05:06:04 jkf Exp $
//

#define AppID			1000

#define VersionID		1000

#define MainView		1000

#define HashLabel		1010
#define HashListTrigger		1011
#define HashList		1012

#define CountLabel		1020
#define CountField		1021

#define SeedLabel		1030
#define SeedField		1031

#define PassphraseLabel		1040
#define PassphraseField		1041

#define ComputeButton		1050
#define ClearButton		1051

#define ResponseLabel		1060
#define ResponseHexFormat	1061
#define ResponseEngFormat	1062
#define ResponseField		1063

#define MainViewMenu		1000
#define AboutMenuID		1001

#define AboutView		1100


#define RomAlert		1000
#define InputAlert		1001
#define FatalAlert		1002


#define NullPtrMsg		1000
#define NullHandleMsg		1001
#define ZeroCount		1002
#define BlankCount		1003
#define InvalidSeed		1004
#define BlankSeed		1005
#define ShortPassphrase		1006
