/*
 * $Id: HLine.c,v 1.1.1.1 2000/07/28 09:49:43 jmanning Exp $
 *
 * Copyright (C) 2000 by Jackie Manning (jackie@linuxfan.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <PalmOS.h>

#include "HLine.h"

void DrawHLine(FormPtr frm, UInt16 gadgetId ) {

    RectangleType  bounds;
    UInt16         gadgetIndex = FrmGetObjectIndex(frm, gadgetId );
   
    FrmGetObjectBounds(frm, gadgetIndex, &bounds);
    WinDrawLine( bounds.topLeft.x, bounds.topLeft.y, 
            bounds.extent.x, bounds.topLeft.y );
}

// End HLine.c
