/*
 *  $Id: PCashRsc.h,v 1.12 2000/10/21 01:49:53 jmanning Exp $
 * Copyright (C) 2000 by Jackie Manning <jackie@linuxfan.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define idMainForm 1000

#define idMainGridGadget    1013
#define idMainUpButton      1001
#define idMainDownButton    1002
#define idMainNewButton     1003
#define idMainGridCheckbox  1010
#define idMainPostedBalFld  1012
#define idMainAcctSel       1014

#define idMainMenu          1100
#define idMainMenuAccounts  1104
#define idMainMenuGotoTop   1105
#define idMainMenuGotoBottom    1106
#define idMainMenuAbout     1110
#define idMainMenuSortDate  1111
#define idMainMenuSortParty 1112
#define idMainMenuSortAmount 1113

#define idAcctForm          2000
#define idAcctGridGadget    2001
#define idAcctUpBtn         2002
#define idAcctDownBtn       2003
#define idAcctNewBtn        2004
#define idAcctGridCheckbox  2010
#define idAcctOpenPBtn      2011
#define idAcctEditPBtn      2012
#define idAcctActionGroup   2020

#define idNewAcctForm       3000
#define idNewAcctNameFld    3001
#define idNewAcctBalFld     3002
#define idNewAcctDoneBtn    3010
#define idNewAcctCancelBtn  3011

#define idDebugAlert        8000
#define idAboutAlert        8010

#define ID_DateSel            2
#define ID_AmountFld          4
#define ID_PartyFld           6
#define ID_NoteFld            8
//#define ID_PostedChk          10
//#define ID_BudgetChk          11
#define ID_NumFld             12

#define ID_TypeGroup            80
#define ID_TypeDeposit          81
#define ID_TypeWithdrawal       82
#define ID_TypeCheck            83

#define ID_StatusGroup          20
#define ID_StatusPosted         21
#define ID_StatusActual         22
#define ID_StatusPayable        23
#define ID_StatusBudget         24

#define idNewTransForm      2400

#define idTrnDateSel          2402
#define idTrnAmountFld        2404
#define idTrnPartyFld         2406
#define idTrnNoteFld          2408
//#define idTrnPostedChk        2410
//#define idTrnBudgetChk        2411
#define idTrnNumFld           2412
#define idTrnTypeGroup          2480
#define idTrnDepositPBtn        2481
#define idTrnWithdrawalPBtn     2482
#define idTrnCheckPBtn          2483

#define idTrnStatusGroup       2420
#define idTrnPostedPBtn        2421
#define idTrnActualPBtn        2422
#define idTrnPayablePBtn       2423
#define idTrnBudgetPBtn        2424

#define idTrnDoneBtn          2491
#define idTrnCancelBtn        2492

#define idEditTransForm     2800

#define idEditDateSel          2802
#define idEditAmountFld        2804
#define idEditPartyFld         2806
#define idEditNoteFld          2808
//#define idEditPostedChk        2810
//#define idEditBudgetChk        2811
#define idEditNumFld           2812
#define idEditTypeGroup          2880
#define idEditDepositPBtn        2881
#define idEditWithdrawalPBtn     2882
#define idEditCheckPBtn          2883

#define idEditStatusGroup       2820
#define idEditPostedPBtn        2821
#define idEditActualPBtn        2822
#define idEditPayablePBtn       2823
#define idEditBudgetPBtn        2824

#define idEditDoneBtn          2891
#define idEditCancelBtn        2892
#define idEditDeleteBtn        2893
#define idEditCopyBtn          2894

