/*********************************************************************
 * Filename:      fsetpos.c
 * Description:   
 * Author:        Tage Stabell-Kuloe <tage@acm.org>
 * Modified at:   Sat Feb  7 16:07:20 1998
 * Modified by:   Tage Stabell-Kuloe <tage@acm.org>
 * 	
 * 	Copyright University of Troms (Norway)
 * 	See the file COPYING for details
 ********************************************************************/


/*
 * fsetpos(3) is missing on SunOS 4, and this file is only compiled
 * if configure can't find fsetpos.  
 * Problem detected by  Petter Gustad <pegu@computer.org>, solution 
 * suggested by Peter Simons <simons@rhein.de>.
 */

#include <stdio.h>
#include <unistd.h>

int
fsetpos(FILE *stream, fpos_t *pos)
{
    return (fseek, SEEK_SET, (long)pos);
}
