Summary: Smart Card Library.
Name: scez
Version: 20001207
Release: 1
Copyright: BSD style
Group: Development/Libraries
Source: ftp://ftp.franken.de/pub/crypt/chipcards/scez/scez-20001207.tar.gz
Buildroot: /var/tmp/scez-20001207-root

%description
SCEZ is a library to make portable smart card development easier.

Supported readers:
 - ACS ACR20S/Cybermouse (as far as this broken reader can be supported)
 - CT-API
 - Dumb Mouse
 - Gemplus GCR400 (untested)
 - Schlumberger Reflex60
 - Towitoko Chipdrive

Supported cards:
 - ComCard MFC (untested)
 - Geldkarte
 - Gemplus GPK4000
 - Giesecke & Devrient Smr@rtCafe
 - GSM SIM card
 - Proton
 - Schlumberger Cryptoflex
 - Schlumberger Cyberflex
 - Schlumberger Multiflex
 - Telesec TCOS

%prep
%setup -c -n scez-%{PACKAGE_VERSION}

%build
make -f Makefile clean
make -f Makefile Linux-libdes

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
install -s -m 755 bcupload $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 cardcheck $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 cfupload $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 crdetect $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 cyflexman $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 flexpasswd $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 gendivkey $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 getcert $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 scanclains $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 scdir $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 scsh $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 scwait $RPM_BUILD_ROOT/usr/local/bin/
install -s -m 755 simman $RPM_BUILD_ROOT/usr/local/bin/
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 libscez.so $RPM_BUILD_ROOT/usr/lib/
install -m 644 libsio.so $RPM_BUILD_ROOT/usr/lib/
install -m 644 libscez.a $RPM_BUILD_ROOT/usr/lib/
install -m 644 libsio.a $RPM_BUILD_ROOT/usr/lib/
mkdir -p $RPM_BUILD_ROOT/usr/include/scez
install -m 644 scacr20.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scbasiccard.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sccryptoflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scctapi.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sccyberflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scdumbmouse.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgcr400.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgeldkarte.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgeneral.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgpk4000.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scgsmsim.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scmfc.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scmultiflex.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scproton.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scpts.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 screader.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 screflex60.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scsmartcafe.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 scsmartcard.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sct0.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sct1.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sctcos.h $RPM_BUILD_ROOT/usr/include/scez/
install -m 644 sctowitoko.h $RPM_BUILD_ROOT/usr/include/scez/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT COPYRIGHT.sio PORTING.sio README README.sio VERSION.sio
%doc dox/bradesco.txt dox/dumbmouse.txt dox/geldkarte.txt
%doc dox/netkey.txt dox/simman.txt dox/sio.html
%doc dox/example.c dox/scez.texi
%doc icons/scez-16-14.png icons/scez-32-28.png icons/scez-72-64.png
%doc icons/scez-sign.obj icons/scez-symbol.obj icons/scez.png
/usr/local/bin/bcupload
/usr/local/bin/cardcheck
/usr/local/bin/cfupload
/usr/local/bin/crdetect
/usr/local/bin/cyflexman
/usr/local/bin/flexpasswd
/usr/local/bin/gendivkey
/usr/local/bin/getcert
/usr/local/bin/scanclains
/usr/local/bin/scdir
/usr/local/bin/scsh
/usr/local/bin/scwait
/usr/local/bin/simman
/usr/lib/libscez.so
/usr/lib/libsio.so
/usr/lib/libscez.a
/usr/lib/libsio.a
/usr/include/scez/scacr20.h
/usr/include/scez/scbasiccard.h
/usr/include/scez/sccryptoflex.h
/usr/include/scez/scctapi.h
/usr/include/scez/sccyberflex.h
/usr/include/scez/scdumbmouse.h
/usr/include/scez/scgcr400.h
/usr/include/scez/scgeldkarte.h
/usr/include/scez/scgeneral.h
/usr/include/scez/scgpk4000.h
/usr/include/scez/scgsmsim.h
/usr/include/scez/scmfc.h
/usr/include/scez/scmultiflex.h
/usr/include/scez/scproton.h
/usr/include/scez/scpts.h
/usr/include/scez/screader.h
/usr/include/scez/screflex60.h
/usr/include/scez/scsmartcafe.h
/usr/include/scez/scsmartcard.h
/usr/include/scez/sct0.h
/usr/include/scez/sct1.h
/usr/include/scez/sctcos.h
/usr/include/scez/sctowitoko.h

%changelog
* Sun Sep  4 2000 Matthias Bruestle <m@mbsks.franken.de>
- Added cardcheck.

* Sun Aug 13 2000 Matthias Bruestle <m@mbsks.franken.de>
- Added include files for MFC and SmartCafe.
- Added icons and some dox.
- Added scwait, scanclains and cfupload.

* Thu Mar 9 2000 Matthias Bruestle <m@mbsks.franken.de>
- Install include files.

* Wed Mar 8 2000 Matthias Bruestle <m@mbsks.franken.de>
- Added cyflexman.

* Wed Mar 8 2000 Matthias Bruestle <m@mbsks.franken.de>
- Changed for shared libraries.

* Tue Mar 7 2000 Matthias Bruestle <m@mbsks.franken.de>
- Updated for library changes.
- Removed simdump/simrestore.

* Sat Jan 16 2000 Matthias Bruestle <m@mbsks.franken.de>
- Reversed chronological order of changelog.

* Thu Jan 6 2000 Matthias Bruestle <m@mbsks.franken.de>
- Added simman.

* Mon Dec 27 1999 Matthias Bruestle <m@mbsks.franken.de>
- Added simdump, simrestore.

* Sun Dec 26 1999 Matthias Bruestle <m@mbsks.franken.de>
- Added scsh.

* Tue Dec 7 1999 Matthias Bruestle <m@mbsks.franken.de>
- First RPM ever.
 
