
#include "titraxAll.h"

void
OptionFormInit(void)
{
  FormPtr frm = FrmGetActiveForm();

  FrmDrawForm(frm);

  CtlSetValue(GetObjectPtr(optionFormDays), ShowDays());
  CtlSetValue(GetObjectPtr(optionFormHours), !ShowDays());

  CtlSetValue(GetObjectPtr(optionFormMemopad), SaveMemopad());
  CtlSetValue(GetObjectPtr(optionFormDatebook), SaveDatebook());

  CtlSetValue(GetObjectPtr(optionFormWarnings), ShiftWarnings());

  CtlSetValue(GetObjectPtr(optionFormCenterActive), CenterActive());

  CtlSetValue(GetObjectPtr(optionFormSaveAllClearsAll), SaveAllClearsAll());

  CtlSetValue(GetObjectPtr(optionFormClearClearsNote), ClearClearsNote());

  CtlSetValue(GetObjectPtr(optionFormMenuHack), MenuHack());

  CtlSetValue(GetObjectPtr(optionFormAlwaysNewNote), AlwaysNewNote());
}

Boolean
OptionFormHandleEvent(EventPtr event)
{
  Boolean handled = false;

  switch (event->eType) {

  case ctlSelectEvent:
	 if (event->data.ctlEnter.controlID == optionFormOk) {
		SetShowDays(CtlGetValue(GetObjectPtr(optionFormDays)));
		SetSaveMemopad(CtlGetValue(GetObjectPtr(optionFormMemopad)));
		SetSaveDatebook(CtlGetValue(GetObjectPtr(optionFormDatebook)));
		SetShiftWarnings(CtlGetValue(GetObjectPtr(optionFormWarnings)));
		SetCenterActive(CtlGetValue(GetObjectPtr(optionFormCenterActive)));
		SetSaveAllClearsAll(CtlGetValue(GetObjectPtr(optionFormSaveAllClearsAll)));
		SetClearClearsNote(CtlGetValue(GetObjectPtr(optionFormClearClearsNote)));
		SetMenuHack(CtlGetValue(GetObjectPtr(optionFormMenuHack)));
		SetAlwaysNewNote(CtlGetValue(GetObjectPtr(optionFormAlwaysNewNote)));

		FrmReturnToForm(mainForm);

		UpdateAllSlots();

		handled = true;
	 }
	 break;

  case frmOpenEvent:
	 OptionFormInit();
	 handled = true;
	 break;

  case appStopEvent:
	 SetActualForm(optionForm);
	 handled = false;
	 break;

  default:
	 handled = false;
  }

  return handled;
}
