/*
 * includes all titrax include files
 *
 * $Id: titraxAll.h,v 3.5 1998/04/26 09:03:29 ga58 Exp $
 *
 * $Log: titraxAll.h,v $
 * Revision 3.5  1998/04/26 09:03:29  ga58
 *  - finished the conversion to a shared library version
 * CVS:
 * CVS:
 *
 * Revision 3.4  1998/04/19 15:44:30  ga58
 * This is the first branch of the 3.x series of titrax. Most of the new
 * features and code changes are described in the NEWS file.
 * CVS:
 * CVS:
 *
 * Revision 2.4  1998/04/04 15:26:35  ga58
 * version 2.4
 * CVS:
 * CVS:
 *
 * Revision 1.1  1998/04/04 15:24:12  ga58
 * fist version in CVS
 * CVS:
 *
 * Revision 1.1.1.1  1998/04/04 15:04:07  ga58
 * first version
 *
 * Revision 1.3  1998/04/04 14:41:06  ga58
 * *** empty log message ***
 *
 * Revision 1.2  1998/03/21 16:06:31  ga58
 * *** empty log message ***
 *
 * Revision 1.1  1997/11/14 17:50:50  ga58
 * Initial revision
 *
 */

#ifndef titraxAll_h
#define titraxAll_h

#define titraxAppType 'Ttrx'
#define titraxDBType  'Data'
#define titraxDBName  "TitraxDB"

#define noSlotActive (-1)

#include <Common.h>
#include <System/SysAll.h>
#include <System/Graffiti.h>
#include <System/KeyMgr.h>
#include <System/SysEvtMgr.h>
#include <UI/UIAll.h>
#include <UI/UIGlobals.h>

#include "titrax.h"
#include "titraxDB.h"
#include "callback.h"
#include "clearXXXX.h"
#include "datedb.h"
#include "drawDigits.h"
#include "editForm.h"
#include "mainForm.h"
#include "noteForm.h"
#include "optionForm.h"
#include "shiftForm.h"
#include "timeForm.h"
#include "titraxPref.h"
#include "titraxUtil.h"
#include "projectList.h"

extern VoidPtr GetObjectPtr(Int ObjectID);

#endif
