#ifndef APPVIEW_H
#define APPVIEW_H

#ifndef dmHdrAttrCopyPrevention
#define dmHdrAttrCopyPrevention         0x0040
#endif


#define appNameLength dmDBNameLength


typedef struct AppEnumStruct {
  ULong appID;
  UInt cardNum;
  LocalID localID;
  UInt iVer;
  char appName[appNameLength];
} AppEnumType, *AppEnumPtr;


/* Global data - initialized in StartApplication and freed in StopApplication */
typedef struct {
  VoidHand enumAppList;
  UInt currentApp;
  UInt prevApp;
  UInt numApps;
} globalsType;


void updatePopup();
void appListDrawFun(UInt itemNum, RectanglePtr bounds, CharPtr *data);

extern globalsType global;

#endif
