

#include "PYearQuality.h"
#include "cprotos.h"
#include "pstring.h"







#define DEFINE_REGION(region)		\
char* region = _##region;
 

#ifdef ML_FRENCH

#define _Bordeaux_Rouges_Medoc		"Bordeaux rouges(Mdoc/Graves)"
#define _Bordeaux_Rouges_St_Emil		"Bordeaux rouges(St-Emil./Pomy)"

#define _Bordeaux_Blancs_Sauternes	"Bordeaux blancs(Sauternes)"
#define _Bordeaux_Blancs_Graves		"Bordeaux blancs(Graves)"

#define _Alsace						"Alsace"

#define _Bourgogne_Blancs_Cote_Dor	"Bourgogne blancs(Cote d'Or)"
#define _Bourgogne_Rouge_Cote_Dor	"Bourgogne rouges(Cote d'Or)"
#define _Bourgogne_Rouge_Chablis		"Bourgogne rouges(Chablis)"

#define _Rhone_Nord					"Cotes du Rhone(Nord)"
#define _Rhone_Sud					"Cotes du Rhone(Sud)"

#define _Rhin						"Rhin"
#define _Mosel						"Mosel"

#define _Toscane						"Toscane"

#define _California_Cabs				"California(Cabs)"
#define _California_Chards			"California(Chards)"

#endif




#ifdef ML_ENGLISH

#define _Bordeaux_Rouges_Medoc		"Red Bordeaux(Mdoc/Graves)"
#define _Bordeaux_Rouges_St_Emil	"Red Bordeaux(St-Emil./Pomy)"

#define _Bordeaux_Blancs_Sauternes	"White Bordeaux(Sauternes)"
#define _Bordeaux_Blancs_Graves	"White Bordeaux(Graves)"

#define _Alsace					"Alsace"

#define _Bourgogne_Blancs_Cote_Dor	"White Burgundy(Cote d'Or)"
#define _Bourgogne_Rouge_Cote_Dor	"Red Burgundy(Cote d'Or)"
#define _Bourgogne_Rouge_Chablis	"Red Burgundy(Chablis)"

#define _Rhone_Nord				"Cotes du Rhone(Nord)"
#define _Rhone_Sud					"Cotes du Rhone(Sud)"

#define _Rhin						"Rhine"
#define _Mosel						"Mosel"

#define _Toscane					"Red Toscan"

#define _California_Cabs			"California(Cabs)"
#define _California_Chards			"California(Chards)"

#endif








//-----------------------------------------------------------
// static
PCollection		PYearQuality::list_(0, 0);
short			PYearQuality::selectedRegion_ = 0;


//-----------------------------------------------------------
PYearQuality::PYearQuality()
{
}

//-----------------------------------------------------------
PYearQuality::~PYearQuality()
{
}



//-----------------------------------------------------------

Regions PYearQuality::regions_[NbRegions] =
//----------------------------------------------------------------
// Bordeaux rouges(Mdoc/Graves)
	{	{								{	{6,9,WAIT			}, // 1996
											{6,9,WAIT			},
											{5,8,WAIT			},
											{4,7,DRINK_WAIT		},
											{3,7,DRINK_WAIT		},
											{3,6,DRINK_WAIT		},
											{7,10,DRINK_WAIT	},	// 1990
											{6,9,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{3,6,DRINK			},
											{6,9,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},	// 1985
											{0,0,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},
											{5,8,DRINK_WAIT		},
											{0,0,DRINK_WAIT		},	// 1980
											{5,8,WAIT			},
											{6,9,WAIT			},
											{3,5,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},
											{9,10,DRINK_WAIT	},	// 1975
											{4,6,DRINK_WAIT		},
											{5,6,DRINK_WAIT		},
											{2,5,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{9,10,DRINK_WAIT	},	// 1970
											{1,4,DRINK			},
											{0,2,NO_TIP			},
											{5,7,DRINK			},
											{7,9,DRINK_WAIT		},
											{0,0,NO_TIP			},	// 1965
											{2,7,DRINK_WAIT		},
											{0,0,NO_TIP			},
											{4,8,DRINK			},
											{10,10,DRINK_WAIT	}	// 1961
										}
		},

//----------------------------------------------------------------
// Bordeaux rouges(St-Emil./Pomy)
		{								{	{ 5, 8, WAIT		}, // 1996
											{ 6, 9, WAIT		},
											{ 5, 9, WAIT		},
											{ 5, 8, DRINK_WAIT	},
											{ 3, 5, DRINK_WAIT	},
											{ 2, 4, DRINK_WAIT	},
											{ 8, 10, DRINK_WAIT	},	// 1990
											{ 7, 9, DRINK_WAIT	},
											{ 7, 9, DRINK_WAIT	},
											{ 3, 6, DRINK		},
											{ 5, 8, DRINK_WAIT	},
											{ 7, 9, DRINK_WAIT	},	// 1985
											{ 0, 0, DRINK		},
											{ 6, 9, DRINK		},
											{ 7, 9, DRINK		},
											{ 5, 8, DRINK		},
											{ 0, 0, DRINK		},	// 1980
											{ 5, 9, WAIT		},
											{ 6, 8, WAIT		},
											{ 2, 5, DRINK_WAIT	},
											{ 7, 8, DRINK_WAIT	},
											{ 8, 10, DRINK_WAIT	},	// 1975
											{ 3, 5, DRINK_WAIT	},
											{ 5, 7, DRINK_WAIT	},
											{ 2, 4, DRINK		},
											{ 6, 8, DRINK_WAIT	},
											{ 9, 10, DRINK		},	// 1970
											{ 0, 3, DRINK		},
											{ 0, 0, NO_TIP		},
											{ 6, 8, DRINK		},
											{ 8, 9, DRINK_WAIT	},
											{ 0, 0, NO_TIP		},	// 1965
											{ 5, 9, DRINK		},
											{ 0, 0, NO_TIP		},
											{ 3, 6, DRINK		},
											{ 10, 10, DRINK_WAIT}	// 1961
										}
		},

//----------------------------------------------------------------
// Bordeaux blancs(Sauternes)
		{								{	{ 7, 9,	WAIT		}, // 1996
											{ 6, 9,	WAIT		},
											{ 4, 6,	WAIT		},
											{ 2, 5,	DRINK_WAIT	},
											{ 3, 5,	DRINK_WAIT	},
											{ 2, 5,	DRINK_WAIT	},
											{ 7, 10, DRINK_WAIT	},	// 1990
											{ 7, 9,	DRINK_WAIT	},
											{ 6, 10, DRINK_WAIT	},
											{ 2, 5,	AVOID		},
											{ 7, 10, DRINK_WAIT	},
											{ 6, 8,	DRINK_WAIT	},	// 1985
											{ 0, 0,	NO_TIP		},
											{ 6, 10, DRINK_WAIT	},
											{ 3, 7,	DRINK_WAIT	},
											{ 5, 8,	DRINK_WAIT	},
											{ 0, 0,	NO_TIP		},	// 1980
											{ 6, 9,	DRINK_WAIT	},
											{ 4, 6,	DRINK		},
											{ 2, 4,	DRINK_WAIT	},
											{ 7, 8,	DRINK_WAIT	},
											{ 9, 10, DRINK_WAIT	},	// 1975
											{ 0, 0,	NO_TIP		},
											{ 0, 4,	NO_TIP		},
											{ 2, 4,	DRINK		},
											{ 8, 9,	DRINK_WAIT	},
											{ 9, 10, DRINK_WAIT	},	// 1970
											{ 6, 7,	DRINK		},
											{ 0, 0,	NO_TIP		},
											{ 7, 10, DRINK_WAIT	},
											{ 4, 7,	DRINK		},
											{ 0, 0,	NO_TIP		},	// 1965
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		}	// 1961
										}
		},
//----------------------------------------------------------------
// Bordeaux blancs(Graves)
		{								{	{ 7,10,	DRINK_WAIT }, // 1996
											{ 5, 9,	DRINK_WAIT },
											{ 5, 8,	DRINK_WAIT },
											{ 5, 7,	DRINK_WAIT },
											{ 4, 8,	DRINK_WAIT },
											{ 5, 8,	DRINK_WAIT },
											{ 7, 8,	DRINK_WAIT },	// 1990
											{ 6, 8,	DRINK_WAIT },
											{ 7, 9,	DRINK_WAIT	},
											{ 7, 10,DRINK_WAIT	},
											{ 7, 9,	DRINK		},
											{ 5, 8,	DRINK		},	// 1985
											{ 0, 0,	NO_TIP		},
											{ 7, 9,	DRINK		},
											{ 7, 8,	DRINK		},
											{ 7, 8,	DRINK		},
											{ 0, 0,	NO_TIP		},	// 1980
											{ 6, 9,	DRINK_WAIT	},
											{ 7, 9,	DRINK_WAIT	},
											{ 6, 9,	DRINK		},
											{ 4, 8,	DRINK		},
											{ 8, 10, DRINK_WAIT	},	// 1975
											{ 6, 7,	DRINK		},
											{ 7, 8,	DRINK		},
											{ 4, 7,	DRINK		},
											{ 8, 10,DRINK		},
											{ 9, 10,DRINK		},	// 1970
											{ 8, 9,	DRINK		},
											{ 0, 0,	NO_TIP		},
											{ 8, 10,DRINK		},
											{ 7, 8,	DRINK		},
											{ 0, 0,	NO_TIP		},	// 1965
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		},
											{ 0, 0,	NO_TIP		}	// 1961
										}
		},

//----------------------------------------------------------------
// Alsace
		{								{	{6,9,DRINK_WAIT		}, // 1996
											{5,8,DRINK_WAIT		},
											{4,8,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},	// 1990
											{7,10,DRINK_WAIT	},
											{8,10,DRINK_WAIT	},
											{7,8,AVOID			},
											{7,8,DRINK			},
											{7,10,DRINK_WAIT	},	// 1985
											{0,0,	NO_TIP		},
											{8,10,AVOID			},
											{6,8,AVOID			},
											{7,8,DRINK			},
											{0,0,	NO_TIP		},	// 1980
											{7,8,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},
											{6,7,DRINK_WAIT		},
											{10,10,DRINK_WAIT	},
											{9,9,DRINK_WAIT		},	// 1975
											{6,7,DRINK			},
											{7,8,DRINK			},
											{3,3,DRINK			},
											{10,10,DRINK		},
											{7,8,DRINK			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,	NO_TIP		},	// 1965
											{0,0,NO_TIP			},
											{0, 0,	NO_TIP		},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			}	// 1961
										}
		},

//----------------------------------------------------------------
// Bourgogne blancs(Cote d'Or)
		{								{	{7,9,DRINK_WAIT		}, // 1996
											{5,8,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{4,6,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},
											{4,6,DRINK			},
											{7,9,DRINK_WAIT		},	// 1990
											{6,9,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{4,7,AVOID			},
											{7,10,DRINK_WAIT	},
											{5,8,DRINK_WAIT		},	// 1985
											{0,0,NO_TIP			},
											{6,9,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,WAIT			},
											{7,9,DRINK_WAIT		},
											{4,7,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{4,8,DRINK_WAIT		},	// 1975
											{5,8,DRINK			},
											{8,8,DRINK			},
											{5,8,DRINK			},
											{8,10,DRINK_WAIT	},
											{7,8,DRINK			},	// 1970
											{8,10,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
		},

//----------------------------------------------------------------
// Bourgogne rouges(Cote d'Or)
		{								{	{7,9,WAIT			}, // 1996
											{7,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{4,7,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{7,10,DRINK_WAIT	},	// 1990
											{6,9,DRINK_WAIT		},
											{7,10,DRINK_WAIT	},
											{6,8,DRINK_WAIT		},
											{5,8,DRINK			},
											{7,10,DRINK_WAIT	},	// 1985
											{0,0,NO_TIP			},
											{5,9,DRINK_WAIT		},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{4,8,WAIT			},
											{8,10,DRINK_WAIT	},
											{2,4,DRINK_WAIT		},
											{9,10,DRINK_WAIT	},
											{0,5,DRINK			},	// 1975
											{2,5,DRINK			},
											{4,7,DRINK			},
											{4,9,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},
											{6,8,DRINK			},	// 1970
											{9,10,DRINK_WAIT	},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Bourgogne rouges(Chablis)
	{									{	{7,9,DRINK_WAIT		}, // 1996
											{5,8,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},
											{4,7,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{4,6,DRINK			},
											{6,9,DRINK_WAIT		},	// 1990
											{7,10,DRINK_WAIT	},
											{7,9,DRINK_WAIT		},
											{5,7,DRINK			},
											{7,9,DRINK			},
											{6,9,DRINK			},	// 1985
											{0,0,NO_TIP			},
											{7,9,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{8,9,DRINK_WAIT		},
											{8,10,DRINK			},	// 1975
											{6,8,DRINK			},
											{7,8,DRINK			},
											{1,4,DRINK			},
											{7,9,DRINK			},
											{6,8,DRINK			},	// 1970
											{7,9,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Cotes du Rhone(Nord)
	{									{	{5,7,WAIT			}, // 1996
											{6,8,WAIT			},
											{6,7,DRINK_WAIT		},
											{3,6,DRINK			},
											{4,6,DRINK			},
											{6,9,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},	// 1990
											{6,8,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{3,6,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{6,8,DRINK_WAIT		},	// 1985
											{0,0,NO_TIP			},
											{7,10,DRINK_WAIT	},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},
											{5,7,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{0,5,DRINK			},	// 1975
											{4,7,DRINK			},
											{5,8,DRINK			},
											{6,9,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Cotes du Rhone(Sud)
	{									{	{4,6,WAIT			}, // 1996
											{6,8,WAIT			},
											{5,7,DRINK_WAIT		},
											{4,9,DRINK_WAIT		},
											{3,6,DRINK_WAIT		},
											{4,5,DRINK			},
											{7,9,DRINK_WAIT		},	// 1990
											{6,8,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{3,5,DRINK			},
											{4,7,DRINK_WAIT		},
											{6,9,DRINK			},	// 1985
											{0,0,NO_TIP			},
											{7,9,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},
											{5,7,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{0,5,DRINK			},	// 1975
											{4,7,DRINK			},
											{5,8,DRINK			},
											{6,9,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Rhin
	{									{	{7,9,DRINK_WAIT		}, // 1996
											{7,10,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{5,8,DRINK_WAIT		},
											{5,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},	// 1990
											{7,10,DRINK_WAIT	},
											{6,8,DRINK_WAIT		},
											{4,7,DRINK			},
											{4,8,DRINK			},
											{6,8,DRINK			},	// 1985
											{0,0,NO_TIP			},
											{6,9,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{5,7,DRINK			},
											{9,10,DRINK_WAIT	},
											{8,10,DRINK_WAIT	},	// 1975
											{3,6,DRINK_WAIT		},
											{6,7,DRINK			},
											{2,5,DRINK			},
											{9,10,DRINK_WAIT	},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Mosel
	{									{	{6,8,DRINK_WAIT		}, // 1996
											{8,10,DRINK_WAIT	},
											{6,10,DRINK_WAIT	},
											{6,9,DRINK_WAIT		},
											{5,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},	// 1990
											{8,10,DRINK_WAIT	},
											{7,9,DRINK_WAIT		},
											{5,7,DRINK			},
											{5,8,DRINK			},
											{6,9,DRINK_WAIT		},	// 1985
											{0,0,NO_TIP			},
											{7,10,DRINK_WAIT	},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{6,8,DRINK_WAIT		},
											{4,7,DRINK_WAIT		},
											{4,6,DRINK			},
											{9,10,DRINK_WAIT	},
											{9,10,DRINK_WAIT	},	// 1975
											{2,4,DRINK			},
											{6,8,DRINK			},
											{1,4,DRINK			},
											{10,10,DRINK_WAIT	},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// Toscane
	{									{	{6,8,WAIT			}, // 1996
											{4,6,WAIT			},
											{6,8,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{3,6,DRINK_WAIT		},
											{4,6,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},	// 1990
											{5,8,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{4,7,DRINK			},
											{5,8,DRINK			},
											{7,10,DRINK			},	// 1985
											{0,0,NO_TIP			},
											{5,7,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1975
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// California(Cabs)
	{									{	{5,7,WAIT			}, // 1996
											{4,6,DRINK_WAIT		},
											{6,9,DRINK_WAIT		},
											{5,7,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},
											{8,10,DRINK_WAIT	},
											{8,9,DRINK_WAIT		},	// 1990
											{6,9,DRINK			},
											{4,6,DRINK_WAIT		},
											{7,10,DRINK_WAIT	},
											{5,8,DRINK_WAIT		},
											{7,9,DRINK_WAIT		},	// 1985
											{0,0,NO_TIP			},
											{4,8,AVOID			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1975
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	},

//----------------------------------------------------------------
// California(Chards)
	{									{	{6,8,DRINK_WAIT		}, // 1996
											{4,6,DRINK_WAIT		},
											{4,7,DRINK_WAIT		},
											{5,8,DRINK			},
											{6,8,DRINK			},
											{5,7,DRINK			},
											{6,9,DRINK			},	// 1990
											{5,9,DRINK			},
											{6,8,AVOID			},
											{7,9,DRINK			},
											{6,8,AVOID			},
											{7,9,AVOID			},	// 1985
											{0,0,NO_TIP			},
											{4,7,DRINK			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1980
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1975
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1970
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1965
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},
											{0,0,NO_TIP			},	// 1961
										}
	}
};




//-----------------------------------------------------------



//-----------------------------------------------------------
void doNothing(void*);

//-----------------------------------------------------------
Boolean PYearQuality::init()
{

	MESSAGE("PYearQuality::init");


	DEFINE_REGION(Bordeaux_Rouges_Medoc)

	DEFINE_REGION(Bordeaux_Rouges_St_Emil	)

	DEFINE_REGION(Bordeaux_Blancs_Sauternes )
	DEFINE_REGION(Bordeaux_Blancs_Graves	)

	DEFINE_REGION(Alsace					)

	DEFINE_REGION(Bourgogne_Blancs_Cote_Dor	)
	DEFINE_REGION(Bourgogne_Rouge_Cote_Dor	)
	DEFINE_REGION(Bourgogne_Rouge_Chablis	)

	DEFINE_REGION(Rhone_Nord				)
	DEFINE_REGION(Rhone_Sud					)

	DEFINE_REGION(Rhin						)
	DEFINE_REGION(Mosel						)

	DEFINE_REGION(Toscane					)

	DEFINE_REGION(California_Cabs			)
	DEFINE_REGION(California_Chards			)


	
	MESSAGE("list.construct");
	list_.construct(doNothing, 0, 0);



	MESSAGE("List.add(region)");

    list_.add(Bordeaux_Rouges_Medoc);
    list_.add(Bordeaux_Rouges_St_Emil);
    list_.add(Bordeaux_Blancs_Sauternes);
    list_.add(Bordeaux_Blancs_Graves);
    list_.add(Alsace);
    list_.add(Bourgogne_Blancs_Cote_Dor);
    list_.add(Bourgogne_Rouge_Cote_Dor);
    list_.add(Bourgogne_Rouge_Chablis);
    list_.add(Rhone_Nord);
    list_.add(Rhone_Sud);
    list_.add(Rhin);
    list_.add(Mosel);
    list_.add(Toscane);
    list_.add(California_Cabs);
    list_.add(California_Chards);

	return true;
}

//-----------------------------------------------------------
void PYearQuality::destroy()
{
	list_.clear();
}

//-----------------------------------------------------------
char** PYearQuality::getRegionList()
{
	return (char**)list_.getData();
}

//-----------------------------------------------------------
short PYearQuality::getNbRegions()
{
	return list_.getSize();
}

//-----------------------------------------------------------
short PYearQuality::getNbLinesForYears()
{
	return (getNbYears()/2 + getNbYears()%2);
}

//-----------------------------------------------------------
short PYearQuality::getNbYears()
{
	return NbYears;
}

//-----------------------------------------------------------
short PYearQuality::getFirstYear()
{
	return FirstYear;
}

//-----------------------------------------------------------
Regions* PYearQuality::getRegionQuality(short nb)
{
	if (nb < 0 || nb >= NbRegions)
	{
		MessageBox("Invalid region number2");
		return 0;
	}

	return &regions_[nb];
}

//-----------------------------------------------------------
char* PYearQuality::getRegionName(short nb)
{
	if (nb < 0 || nb >= NbRegions)
	{
		MessageBox("Invalid region number1");
		return 0;
	}

	return (char*)list_.getAt(nb);
}

