

#include "global.h"




// Main loop
static Word StartApplication();
static void EventLoop();
static void StopApplication();



extern "C" DWord PilotMain (Word cmd, Ptr cmdPBP, Word launchFlags);
#ifndef CAVIST_MFC
extern "C" void _exit(int i);
#endif


// Init the strings
void initStrings();


// Main form
Boolean mainEventHandler(EventType* event);



// Edit form
Boolean editEventHandler(EventType* event);
// Edit note
Boolean editNoteEventHandler(EventType* event);


// Quality page
Boolean wineQualityEventHandler(EventType* event);


// Preferences
Boolean preferencesEventHandler(EventType* event);


// Filter form
Boolean filterEventHandler(EventType* event);



// Ask string
Boolean askStringEventHandler(EventType* event);


#ifdef CAVIST_MFC
//void MessageBox(const char* msg, Boolean redraw);
#else
void MessageBox(const char* msg);
#endif



#ifdef DEBUG

#define MESSAGE( data )                 \
    void MessageLine(const char* msg);  \
    MessageLine(data);

#define MESSAGE2( data )                \
    void MessageLine2(const char* msg); \
    MessageLine2(data);

#else

#define MESSAGE( data )
#define MESSAGE2( data )

#endif



#define Yes	0
#define No	1
#ifdef CAVIST_MFC
//Word AskYesNo(const char* str, Boolean redraw);
#else
Word AskYesNo(const char* str);
#endif



//void* MemCopy(void* dest, const void* src, long len);
//Boolean MemWrite(void* dest, void* src, long len);


void* GetObjectPtr(long id);


//Boolean load();
//Boolean save();

