// These five should stay in order
#define BUTTONBAR_BM_START 1
#define UpDownBitmap    1
#define ClearBitmap     2
#define NewBitmap       3
#define DeleteBitmap    4
#define LockBitmap      5
#define BUTTONBAR_BM_END 5

#define BugBitmap       6
#define DiamondBitmap     10
#define CheckBitmap     11
#define XferDoneBitmap  12
#define XferTodoBitmap  13
#define XferDatebookBitmap 14
#define XferAddressBitmap  15
#define ActionBitmap    16
#define XferNoAppBitmap 17
#define XferDoneGotoBitmap 18
#define CmdPaintBitmap  30
#define CmdSmearBitmap  31
#define CmdEraseBitmap  32
#define CmdRoughBitmap  40
#define CmdSmoothBitmap 41
#define CmdSmootherBitmap 42
#define DiddleForm      1000
#define DiddleTForm     2000
#define ModeButton      2100
#define SmoothButton    2200
#define PenButton       2300
#define InkButton       2400
#define PageButton      2500

// These six should stay in order
#define BUTTONBAR_START 2501
#define MainDateSelTrig 2501
#define MainSwitchButton 2502
#define MainClearButton 2503
#define MainNewButton   2504
#define MainDeleteButton 2505
#define MainLockButton  2506
#define BUTTONBAR_END   2506

#define MainModeList    2507
#define MainSmoothList  2508
#define MainPenList     2509
#define MainInkList     2510

// New transfer stuff
#define XferDoneButton  2600
#define XferDetailsButton 2601
#define XferField       2602
#define XferList        2603
#define XferDoneList    2604

#define PopShortcutList 2700
#define PopCountdownList 2800
#define DiddleMenu      3000
#define XferMenu        3100
#define TextMenu        3200
#define TimeForm        5000
#define TimeOkButton    5001
#define TimeCancelButton 5002
#define TimeMinutesList 5003
#define TimeHoursList   5004
#define TimeSetCheck    5005
#define TimeSunPush     5006
#define TimeMonPush     5007
#define TimeTuePush     5008
#define TimeWedPush     5009
#define TimeThuPush     5010
#define TimeFriPush     5011
#define TimeSatPush     5012
#define TimeDatePush    5013
#define TimeRepeatPop   5014
#define TimeRepeatList  5015
#define TimeCurrentLabel 5016

// Strings
#define SunString       5601
#define MonString       5602
#define TueString       5603
#define WedString       5604
#define ThuString       5605
#define FriString       5606
#define SatString       5607
#define CountdownString 5610
#define SingleDayString 5611
#define MultiDayString  5612
#define TodayString     5613
#define TomorrowString  5614
#define NoCountdownString 5615
#define NoAlarmString   5616
#define OffString       5617
#define AbsoluteString  5618
#define CustomString    5619
#define MinString       5620
#define HourString      5621
#define DayString       5622
#define WeekString      5623
#define SelectDateString 5624
#define MinsString      5625
#define HoursString     5626
#define DaysString      5627
#define WeeksString     5628
#define CatUnfiledString 5650
#define CatBusinessString 5651
#define CatPersonalString 5652
#define LaunchString    5653
#define NewReminderString 5654
#define NextSketchString 5655
#define NoUndoString    5656
#define BeamTypeString 5657
#define BeamContentString 5658

// These four should stay in consecutive order
#define XferMenuOptionsStrings 5700
#define XferGotoString      5700
#define XferCompletedString 5701
#define XferBackLinkString 5702
#define XferDeleteSketchString 5703

#define XferNoTextString    5705
#define XferSavingString    5706

#define AlarmForm       6000
#define AlarmOkButton   6001
#define AlarmDeleteButton 6002
#define AlarmDiddleBugButton 6003
#define AlarmSnoozePop  6004
#define AlarmSnoozeList 6005
#define AlarmBigOkButton 6006
#define CustomTimeForm  7000
#define CustomHourList  7001
#define CustomMinuteList 7002
#define CustomSecondList 7003
#define CustomOkButton  7004
#define CustomCancelButton 7005
#define IndexForm           8000
#define ConfirmDeleteForm   8300
#define ConfirmClearForm    8301
#define BadSnoozeForm   8302
#define ConfirmLockedDelete 8303
#define ConfirmFillForm    8304
#define ConfirmUndoForm    8305
#define NoOpenError     8400
#define LockAskForm     8500
#define AlarmSetError   8600
#define NeedVersion2Error 8700
#define NoPluginSelected 8750
#define NoPluginInstalled 8751
#define PluginError     8752
#define GenericError    8753
#define AlarmTimeTooEarly 8754
#define NoBeamForm      8755
#define AboutForm       8800
#define TextForm        9100
#define TextField       9101
#define TextModePop     9102
#define TextModeList    9103
#define TextStdFontPush 9104
#define TextBoldFontPush    9105
#define TextLargeFontPush   9106
#define TextInsertButton    9107
#define TextCancelButton    9108
#define ShapeForm       9200
#define ShapeTypePop    9201
#define ShapeTypeList   9202
#define ShapeFillPop    9203
#define ShapeFillList   9204
#define ShapeInsertButton   9205
#define ShapeCancelButton   9206
#define PrefForm            9300
#define PrefDisableTitleCheck   9302
#define PrefHardwareNonePush    9303
#define PrefHardware1Push       9304
#define PrefHardware2Push       9305
#define PrefHardware3Push       9306
#define PrefHardware4Push       9307
#define PrefDoneButton          9308
#define PrefConfirmClearCheck   9309
#define PrefConfirmDeleteCheck  9310
#define PrefDisableTitlebarDroplists 9311
#define PrefBigOkCheck          9312
#define PrefHardwareSelTrig     9313
#define PrefHardwareActionList  9314

// #define MENU_FIRST_ITEMID           4000
#define menuitemID_PenFine          4000
#define menuitemID_PenMedium        4001
#define menuitemID_PenBold          4002
#define menuitemID_PenBroad         4003
#define menuitemID_PenFineItalic    4004
#define menuitemID_PenMediumItalic  4005
#define menuitemID_PenBroadItalic   4006
#define menuitemID_InkWhite         4007
#define menuitemID_InkDith12        4008
#define menuitemID_InkDith25        4009
#define menuitemID_InkDith37        4010
#define menuitemID_InkDith50        4011
#define menuitemID_InkDith62        4012
#define menuitemID_InkDith75        4013
#define menuitemID_InkDith87        4014
#define menuitemID_InkBlack         4015
#define menuitemID_InkRandom        4016
#define menuitemID_ModePaint        4017
#define menuitemID_ModeSmear        4018
#define menuitemID_ModeErase        4019
#define menuitemID_CmdRough         4020
#define menuitemID_CmdSmooth        4021
#define menuitemID_CmdSmoother      4022
#define menuitemID_CmdAbout         4023
#define menuitemID_CmdPref          4024
#define menuitemID_CmdClear         4025
#define menuitemID_CmdFill          4026
#define menuitemID_CmdInvert        4027
#define menuitemID_CmdRemove        4028
#define menuitemID_CmdTitle         4029
#define menuitemID_CmdNew           4030
#define menuitemID_CmdPrevious      4031
#define menuitemID_CmdNext          4032
#define menuitemID_CmdText          4033
#define menuitemID_CmdLine          4034
#define menuitemID_CmdShape         4035
#define menuitemID_CmdInsertLast    4036
#define menuitemID_CmdLock          4037
#define menuitemID_CmdTransfer      4038
#define menuitemID_CmdSketchUndo    4039
#define menuitemID_CmdBeam          4040
// #define MENU_LAST_ITEMID            4040
// #define MENU_NUM_ITEMS               41 

// New for version 2.0 transfer menu
#define menuitemID_XferDone         4100
#define menuitemID_XferUndo         4110
#define menuitemID_XferCut          4111
#define menuitemID_XferCopy         4112
#define menuitemID_XferPaste        4113
#define menuitemID_XferSelectAll    4114
#define menuitemID_XferKeyboard     4115
#define menuitemID_XferGHelp        4116



