#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

Boolean CocktailActFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;
  
    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

           case BtnCanCT:
                handled = true;
                FrmReturnToForm(MainForm);
                break;
           case BtnEditCT:
                FrmCustomAlert(AlrtPerms,"No Edit Permissions ","(Local Policy)","")
;
                FrmReturnToForm(MainForm);
                handled = true;
                break;
           case BtnDelCT:
                FrmCustomAlert(AlrtPerms,"No Delete Permissions ","(Local Policy)","
");
                handled = true;
                FrmReturnToForm(MainForm);
                break;
           case BtnRunCT:
                handled = true;
                FrmReturnToForm(MainForm);
                break;

           default:
                break;
        }
    default:
        break;
    }

    return handled;
}
