#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

Boolean PaletteFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormType *frm;
    DmOpenRef TrkDB;
 
    switch (e->eType) {
    case frmOpenEvent:

	PalmOS_printf("PaletteFormHandleEvent Entry");
        frm = FrmGetActiveForm();

    TrkDB=DmOpenDatabaseByTypeCreator(TrkDBType,TrkDBCreatorID,dmModeReadWrite|dmModeExclusive);
	PalmOS_printf("TrkDB Open");
     if(!TrkDB) {
              FrmCustomAlert(AlrtCrit,"Unable to create scratch DB! Quit GEORDI and
restart","","");
              return DmGetLastErr();
     } else {
 	
	Init_CBTable(frm); 
        FrmDrawForm(frm);
        DmCloseDatabase(TrkDB);

      }  
        handled = true;
        break;
    case menuEvent:
        MenuEraseStatus(NULL);

        switch(e->data.menu.itemID) {
        }

        handled = true;
        break;
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

        case BtnCBCan:
        FrmGotoForm(MainForm);
        handled = true;
        break;
/*	case LeftCBCmdArr:
		ScrollTblTrackLeft();
		handled = true;
		break;
	case RightCBCmdArr:
		ScrollTblTrackRight();
		handled = true; 
		break;
*/
        }

        handled = true;
        break;
    case tblSelectEvent:
	handled = true;
	break;
    default:
        break;
    }

    return handled;
}


