#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

extern void PalmOS_printf(char * pszFormat, ...);
extern  UInt16 GS_SendCommand(Char *CmdStr);
extern  UInt16 GS_GetResults(int Type, Char *kw,Char *kw2, Char *cmdFormStr,UInt16 KeywordLen, int RLL_Threshhold,int maxresults);
 
Boolean CliFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr	frm; 
    Char	*CLIFldTxt;
    Char	*CLICmdPtr;
    FieldType	*CLIFldPtr;
    int		CLIFld_len;
    int		result_len;
    extern Char G_StdOut[8192];    


    switch (e->eType) {
    case frmOpenEvent:
        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
 
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

           case BtnCLICan:
                FrmReturnToForm(MainForm);
                handled = true;
                break;
	   case BtnCLICmd:
        	frm = FrmGetActiveForm();
		CLIFldPtr = (FieldPtr) FrmGetObjectPtr(frm,FrmGetObjectIndex(frm,FldCLI));		    
		if( (CLIFld_len = FldGetTextLength(CLIFldPtr)) > 0) {
			PalmOS_printf("CLIFld_len=%d",CLIFld_len);
 			SysTaskDelay(SysTicksPerSecond()*2);
			CLICmdPtr = MemPtrNew(CLIFld_len+5);
			CLIFldTxt = FldGetTextPtr(CLIFldPtr);
			StrCopy(CLICmdPtr,"sudo ");
			StrCat(CLICmdPtr,CLIFldTxt);
			StrCat(CLICmdPtr,"\n");	
			PalmOS_printf("CLIFldTxt=%s",CLIFldTxt);
 			SysTaskDelay(SysTicksPerSecond()*2);
			GS_SendCommand(CLICmdPtr);
			result_len = GS_GetResults(CMD_TD,"None","None","None",4,1,8192);
			PalmOS_printf("results=%s",G_StdOut);
 			SysTaskDelay(SysTicksPerSecond()*2);
			

		
		}	
		FrmReturnToForm(MainForm);
		handled = true;
		break;
        }
	break;

    default:
        break;
    }

    return handled;
}
