#include <PalmOS.h>
#include <PalmCompatibility.h>
#include "geordi.h"
#include "geordi_ui.h"

extern void SetIfaceAddr(FormType *frm);
extern void GetAddrFromIface(FormType *frm, ListType *iflist);

Boolean FindFormHandleEvent (EventPtr e)
{
    Boolean handled = false;
    FormPtr frm;
    ListType *IfaceList; 

    frm = FrmGetActiveForm();
    switch (e->eType) {
    case frmOpenEvent:

        frm = FrmGetActiveForm();
        FrmDrawForm(frm);
        handled = true;
        break;
  
    case ctlSelectEvent:
        switch(e->data.ctlSelect.controlID) {

	case BtnFindOk:
	break;
	case BtnFindCan:
	break;
        }
        break;
    case popSelectEvent:
        switch(e->data.popSelect.controlID) {

        case PopFindIgnoreTrig:
        break; 
	case PopFindSearchTrig:
	break;
	case BtnFindOk:
	FrmGotoForm(MainForm);
	break;
	case BtnFindCan:
	FrmGotoForm(MainForm);
	break;
        }

    default:
        break;
    }

    return handled;
}
