#ifndef __ILARN_PROTOTYPES_H__
#define __ILARN_PROTOTYPES_H__
#include "sections.h"


/*  alloc_env.c  L */
void free_env(struct everything *env) SEC_L;
void alloc_env(struct everything *env) SEC_L;
void clear_env(struct everything *env) SEC_L;

/*  cast.c  1 */
void draw_cast_slices() SEC_1;
Boolean isconfuse() SEC_1;
void genmonst(Short j) SEC_1;
void makewall(Short x, Short y) SEC_1;
void tdirect(Short x, Short y) SEC_1;
void omnidirect(Short spnum, Short dam, Char *str) SEC_1;
void dirpoly(Short x, Short y) SEC_1;
// static Boolean nospell(Short x, Short monst) SEC_1;
void direct(Short spnum, Short dam, Char *str, Short arg) SEC_1;
void direct_helper(Short x, Short y) SEC_1;
void godirect(Short spnum, Short dam, Char *str, Short delay,Char cshow) SEC_1;
void godirect_helper(Short dx, Short dy) SEC_1;
void cast(Short i) SEC_1;
void speldamage(Short x) SEC_1;
void dir_task_dispatch(Short click_dir) SEC_1;


/*  create.c  2 */
void makeplayer(Short selected_class) SEC_2;
void newcavelevel(Short x) SEC_2;
// static Boolean cannedlevel(Short k, struct everything * env) SEC_2;
// static void makemaze(Short k, struct everything *env) SEC_2;
// static Boolean eat_this_way_p(Short x, Short y, Short dir,
//                               struct everything *env) SEC_2;
void eat(Short x0, Short y0) SEC_2;
// static void makeobject(Short j, struct everything *env) SEC_2;
// static void fillmroom(Short n, Char what, Short arg,
//                       struct everything *env) SEC_2;
// static void froom(Short n,Char itm,Short arg, struct everything *env) SEC_2;
// static void fillroom(Char what, Short arg, struct everything *env) SEC_2;
// static void treasureroom(Short lv, struct everything *env) SEC_2;
// static void troom(Short lv, Short xsize, Short ysize,
// 		  Short tx, Short ty, Short glyph,
// 		  struct everything *env) SEC_2;
Boolean fillmonst(Char what) SEC_2;
void sethp(Boolean flg) SEC_2;
// static void checkgen(struct everything *env) SEC_2;


/*  data.c  L */
Short m_hitpoints(Short i) SEC_L;
const Char *m_name(Short i) SEC_L;
Short m_intelligence(Short i) SEC_L;

/* dead.c  1 */
void get_default_username() SEC_1;
Short do_sum(Char *name) SEC_3;
Short get_suid() SEC_3;
void get_taxes() SEC_1;
Boolean set_taxes(Long tax, Long dmg) SEC_4;
Boolean life_protected(Short x) SEC_1;
void newscore(Short cod) SEC_1;
void died(Short cod, Boolean show_scores) SEC_1;
void init_death(FormPtr frm) SEC_3;
void scroll_scores(Boolean up, FormPtr frm) SEC_3;
void which_scores(Boolean winners, FormPtr frm) SEC_3;
void topten_fwdcompatibl() SEC_4;

/*  display.c  L */
void level0_itsy_fix(Boolean yes) SEC_L;
void am_i_on_level_0(Boolean yes) SEC_L;
Boolean toggle_itsy() SEC_L;
void clear_visible()  SEC_L;
void setscreen(Short col, Short row, Short ch) SEC_L;
Char get_monstnamelist(Short i) SEC_3;
void see_invisible() SEC_L;
void got_larneye() SEC_L;
void unsee_invisible() SEC_L;
void ungot_larneye() SEC_L;
void recalc_screen() SEC_L;
// static void put_char_at(Short row, Short col, Char ch, Boolean bold) SEC_L;
void refresh() SEC_L;
void check_player_position(Short playerx, Short playery, Boolean runng) SEC_L;
void move_visible_window(Short left_x, Short top_y, Boolean centered) SEC_L;
void update_screen_cell(Short j, Short i) SEC_L;
void showcell(Short x, Short y) SEC_L;
void rogue_relativize(Short *x, Short *y, Short px, Short py) SEC_L;

/*  global.c  L */
void raiselevel() SEC_L;
void loselevel() SEC_L;
void raiseexperience(Long x) SEC_L;
void loseexperience(Long x) SEC_L;
void losehp(Short x) SEC_L;
void losemhp(Short x) SEC_L;
void raisehp(Short x) SEC_L;
void raisemhp(Short x) SEC_L;
// static void raisespells(Short x) SEC_L;
void raisemspells(Short x) SEC_L;
// static void losespells(Short x) SEC_L;
void losemspells(Short x) SEC_L;
void positionplayer() SEC_L;
Short makemonst(Short lev) SEC_L;
void recalc() SEC_L;
void creategem() SEC_L;
void adjustcvalues(Short itm, Short arg, Boolean draw) SEC_L;
Short has_object(Short what) SEC_L;
Boolean take(Short itm, Short arg, Boolean noisy) SEC_L;


// ignore iLarnstub.c


/*  inv.c  2 */
// static void you_dont_have(Char x) SEC_2;
void drop_object(Short k) SEC_2;
Boolean takeoff() SEC_2;
// static void make_it_fit(CharPtr buf,Short avail_space,Short maxbuflen)SEC_2;
void free_inventory_select(FormPtr frm) SEC_2;
void init_inventory_select(FormPtr frm, Boolean t) SEC_2;
void remove1_inventory_select(FormPtr frm, Short k) SEC_2;
void specialize_labels(FormPtr frm, Short k, Boolean t) SEC_2;
Boolean deduce_task(Short k, Short btn012) SEC_2;






/*  main.c  (0) */
Boolean init_game();
// static void i_used_too_much_heap();
Boolean is_male();
void start_of_Play_Level_loop();
Short get_click_dir(Short tmp_x, Short tmp_y);
// static Boolean main_help_handle_cmd(Char c);
Boolean Main_Form_HandleEvent(EventPtr e);
void LeaveForm(); //void LeaveForm(Boolean redraw);
// these are in various form_*.c files
Boolean About_Form_HandleEvent(EventPtr e);
Boolean Cast_Form_HandleEvent(EventPtr e);
Boolean Evader_Form_HandleEvent(EventPtr e);
Boolean HwButtons_Form_HandleEvent(EventPtr e);
Boolean InvSelect_Form_HandleEvent(EventPtr e);
Boolean Lrs_Form_HandleEvent(EventPtr e);
//void show_dungeon(struct everything * env);
Boolean Map_Form_HandleEvent(EventPtr e);
Boolean MsgLog_Form_HandleEvent(EventPtr e);
Boolean Pad_Form_HandleEvent(EventPtr e);
Boolean PickCh_Form_HandleEvent(EventPtr e);
Boolean Prefs_Form_HandleEvent(EventPtr e);
Boolean Question_Form_HandleEvent(EventPtr e);
//Boolean Splash_Form_HandleEvent(EventPtr e);
Boolean Score_Form_HandleEvent(EventPtr e);
Boolean Store_Form_HandleEvent(EventPtr e);
Boolean Trans_Form_HandleEvent(EventPtr e);
// static Boolean OpenDatabase(void);
// static Boolean ApplicationHandleEvent(EventPtr e);
void writeLarnPrefs();
// static Word StartApplication(void);
// static void StopApplication(void);
// static void EventLoop(void);
DWord PilotMain(Word cmd, Ptr cmdPBP, Word launchFlags);

/*  md_malloc.c  L */
Char * md_malloc(Int n) SEC_L;

/*  monster.c  L */
void heal_monsters() SEC_3;
Boolean cgood(Short x, Short y, Short itm, Short monst) SEC_L;
void createmonster(Short mon) SEC_L;
void createitem(Short it, Long arg) SEC_L;
Short fullhit(Short xx) SEC_L;
void ifblind(Short x, Short y) SEC_L;
Boolean vxy(Short *x, Short *y) SEC_L;
void hitmonster(Short x, Short y, Boolean silent) SEC_L;
Short hitm(Short x, Short y, Short amt) SEC_L;
void clobberm(Short monst) SEC_3;
void hitplayer(Short x, Short y) SEC_L;
// static void dropsomething(Short monst) SEC_L;
void dropgold(Short amount) SEC_L;
void something(Short lev) SEC_L;
Short newobject(Short lev, Short *i) SEC_L;
void checkloss(Short x) SEC_L;
// static Boolean emptyhanded(struct everything *env) SEC_L;
// static Boolean stealsomething(struct everything *env) SEC_L;
// static Boolean spattack(Short attack, Short xx, Short yy,
// 			struct everything *env) SEC_L;
void munge_lastmonst(Char * mname) SEC_L;
Char * read_lastmonst() SEC_L;
void init_doomed_monsters(FormPtr frm) SEC_3;
void fight(Short dir) SEC_3;

/*  movem.c  2 */
void movemonst() SEC_2;
//static void movemt(Short i, Short j) SEC_2;
//static void mmove(Short aa, Short bb, Short cc, Short dd,
//		  struct everything *env) SEC_2;


/*  moveplayer.c  2 */
void unmoveplayer() SEC_2;
void showplayer(Short playerx, Short playery) SEC_2;
Short moveplayer(Short dir) SEC_2;
void a_better_run(Short dir) SEC_2;

/*  nap.c  1 */
void nap(Short x) SEC_1;

/*  obj.c  L */
Char newpotion() SEC_L;
Char newscroll() SEC_L;
Char newleather(Boolean hardgame) SEC_L;
Char newchain() SEC_L;
Char newplate(Boolean hardgame) SEC_L;
Char newdagger() SEC_L;
Char newsword(Boolean hardgame) SEC_L;
void disappear(Short x, Short y) SEC_L;
Char * get_Of_scroll(Short j, Boolean known) SEC_L;
Char * get_Of_potion(Short j, Boolean known) SEC_L;
const Char * get_objectname(Short j) SEC_L;
void show3(Short index) SEC_L;
void show3_cp(Short index, Char *buf) SEC_L;

/*  object.c  2 */
void id_trap() SEC_1;
Boolean nearbymonst() SEC_L;
void ogold(Short arg) SEC_L;
void setupQuestionForm(FormPtr frm) SEC_L;
Boolean lookforobject(Short auto_pray) SEC_2;
// static void finditem_part1(Short item) SEC_2;
Boolean dspchQuestionForm(Short button) SEC_2;

/*  object_actions.c  1 */
void ovoldown() SEC_1;
void ovolup() SEC_1;
void oentrance() SEC_1;
void oopendoor() SEC_1;
void oclosedoor() SEC_1;
void oelevator(Boolean up) SEC_1;
void ostairs(Boolean up) SEC_1;
// static void obottomless(struct everything *env) SEC_1;
void opit() SEC_1;
void show_packweight() SEC_1;
void free_cast_select(FormPtr frm) SEC_1;
void init_known_items(FormPtr frm) SEC_1;
void init_cast_select(FormPtr frm) SEC_1;
Boolean readbook(Short arg) SEC_1;
void obrasslamp() SEC_1;
void obrasslamp_learn(Short i) SEC_3;
void oteleport(Boolean err) SEC_1;
Boolean enchantarmor() SEC_1;
Boolean enchweapon() SEC_1;
void adjtime(Long time, Boolean show_stats) SEC_1;
Boolean read_scroll(Short typ) SEC_1;
void enlighten(Short dyl, Short dyh, Short dxl, Short dxh) SEC_1;
void spill() SEC_1;
void quaffpotion(Short pot) SEC_1; 
void o_draws() SEC_1;

/*  object_actions_cont.c  2 */
void ocookie() SEC_2;
Boolean odesecrate() SEC_2;
Boolean ojustpr() SEC_2;
Boolean omoney(ULong amnt) SEC_2;
// static void ohear(struct everything *env) SEC_2;
Boolean othrone_pry(Boolean two) SEC_2;
Boolean othrone_sit(Boolean two) SEC_2;
void odeadthrone() SEC_2;
void ochest() SEC_2;
void ofountain_drink() SEC_2;
Boolean ofountain_wash() SEC_2;
// static void fntchange(Boolean how) SEC_2;
void drug_speed() SEC_3;
void drug_shrooms() SEC_3;
void drug_acid() SEC_3;
void drug_hash() SEC_3;
void drug_coke() SEC_3;

// ignore old-monster.c


/*  pickchar.c  L */
//Char *class_name(Short i);
void pick_char(Short i) SEC_L;

/*  random.c  L */
void seed_random() SEC_L;
Int rnd(Int y) SEC_L;
Int rund(Int y) SEC_L;

/*  regen.c  2 */
void regen(Boolean show_stats) SEC_2;

/*  savelev.c  1 */
void remove_save_records() SEC_1;
void save_all(struct everything *env) SEC_1;
Boolean restore_all(struct everything *env) SEC_1;
Boolean savelevel(struct everything *env) SEC_3; // SEC_1;
Boolean getlevel(struct everything *env) SEC_3; // SEC_1;
Boolean save_sketch() SEC_4;
Boolean load_sketch() SEC_4;
void destroy_sketch_if_any() SEC_4;
Boolean sketch_exists() SEC_4;


// ignore start.c

// ignore start2.c

/*  stats.c  L */
Boolean message_clear() SEC_L;
void message(Char *buf) SEC_L;
void alloc_message_log() SEC_L;
//void add_to_splash(Char *msg) SEC_L;
//void add_long_to_splash(Char *msg) SEC_3;
void preempt_messages() SEC_L;
//void print_splash(struct everything *env) SEC_L;
void show_messages() SEC_L; // replaces print_splash
void spell_stats() SEC_L;
void print_stats() SEC_L;

/* store.c  1 */
Short packweight() SEC_1;
Boolean pocketfull() SEC_1;
//void pay_tax(Long amt) SEC_1;
void add_tax(Long amt, Boolean damage) SEC_1;
void print_tax() SEC_1;
void lrs_init_or_refresh(FormPtr frm) SEC_1;
void lrs_pay_cash(FormPtr frm, Long amt) SEC_1;
void lrs_req_trans(FormPtr frm) SEC_1;
Boolean has_potion_cured() SEC_1;
void drop_dough(Long amt) SEC_3;
void evader_init(FormPtr frm, Short in_store) SEC_1;
void store_gold(Long gold) SEC_1;
void bank_gold(Long gold) SEC_1;
void bank_interest() SEC_L;
void bank_init(FormPtr frm) SEC_1;
void bank_init_buttons(FormPtr frm) SEC_1;
void bank_mumble() SEC_1;
void bank_sell(FormPtr frm, Char inv_i, Short list_j) SEC_1;
void bank_trans_init(FormPtr frm, Boolean bank) SEC_1;
Boolean bank_transact(Long amt, Boolean deposit) SEC_1;
void dndstore_buy(FormPtr frm, Short store_item) SEC_1;
void dndstore_restock() SEC_1;
void dndstore_init(FormPtr frm) SEC_1;
void dndstore_list_tens(FormPtr frm, Short plus) SEC_1;
void dndstore_btns(FormPtr frm) SEC_1;
void store_cleanup(FormPtr frm) SEC_1;
void college_init(FormPtr frm) SEC_1;
void college_mumble(Long gold) SEC_1;
// static void college_remark(Char *buf) SEC_1;
void college_enroll(FormPtr frm, Short i) SEC_1;
void tpost_print_value(Short k) SEC_1;
Boolean tpost_sell_item(Short k) SEC_1;
void pad_gold() SEC_3;
void pad_buy(FormPtr frm, Short store_item) SEC_3;
Long tpost_calc_val(Int itm_cost, Short izarg) SEC_2;
Long get_mobuls() SEC_2;
void add_winner_bonus() SEC_2;
Long get_mobuls_elapsed() SEC_1;

/*  util.c  2 */
void do_feep(Long frq, UInt dur) SEC_2;
void draw_circle(Short x, Short y, Short radius, Boolean b) SEC_2;
void update_field_scrollers(FormPtr frm, FieldPtr fld,
			    Word up_scroller, Word down_scroller) SEC_3;
void page_scroll_field(FormPtr frm, FieldPtr fld, DirectionType dir) SEC_3;


// note: sec_1 is pretty much full
/* sphere.c  1 */
void annihilate() SEC_2;
void newsphere(Short x, Short y, Short dir, Short life, Short optional_i) SEC_2;
void rmsphere(Short x, Short y) SEC_2;
void rmsp(Short i, Short x, Short y) SEC_2;
void sphboom(Short x, Short y) SEC_2;
void movsphere() SEC_2;
void clearspheres() SEC_2;


#endif
