//
// Graphics - Store Host/Board/Title graphics in a Pilot database
//
// Copyright 1997 Scott C. Duensing
// (scott@jaegertech.com)
//
// 1997 Jaeger Technologies
// (www.jaegertech.com)
//
//
// NOTES:
//
// This small program uses my PilotDB library to build a database of images
// for use with JT WOF.
//
// The images are in Pilot BMP resource format (TBMP).
//
// This program will be expanded to accept standard Window's BMPs in the
// near future.
//

#include "h:\projects\c\pilotdb\pilotdb.h"

void main (void)
{
  pdb db;

  pdb_Create (&db, "JTid", "JTid", "graphics", "WOF Graphics");

  pdb_AddFileAsRecord (&db, "TBMP03E8.bin");
  pdb_AddFileAsRecord (&db, "TBMP03E9.bin");
  pdb_AddFileAsRecord (&db, "TBMP03EA.bin");
  pdb_AddFileAsRecord (&db, "TBMP03EB.bin");

  pdb_Close (&db);
}
