#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct {
  char name[256];
  char creator[5];
  char type[5];
  char title[64];
  int records;
  int sizes[2048];
  FILE *data;
} pdb;

long htonl (long motorola);
int htons (int motorola);
int pdb_Create (pdb *db, char *creator, char *type, char *name, char *title);
int pdb_Close (pdb *db);
int pdb_AddRecord (pdb *db, char *buffer, int length);
int pdb_AddFileAsRecord (pdb *db, char *filename);

#define pdb_SwapLong htonl
#define pdb_SwapInt htons
