'
' ViewBMP - View Compiled BMP Resources  (*NOT* Windows BMPs!)
'
' Copyright 1997 Scott C. Duensing
' (scott@jaegertech.com)
'
' 1997 Jaeger Technologies
' (www.jaegertech.com)
'
'
' NOTES:
'
' This program was hacked together quickly to see if I could display compiled
' BMP resouces.  There is a 16-byte header, of which, the first four are the
' width and height of the image.  By knowing how to read these image
' resources, I can store them in a database to allow for interchangable host,
' title, and puzzleboard graphics.
'
' This program was written in QBASIC because it offered built-in graphics
' primitives that I was too lazy to do on my own in C.  <G>
'

DIM f1 AS INTEGER
DIM x AS INTEGER
DIM y AS INTEGER
DIM xw AS INTEGER
DIM yw AS INTEGER
DIM t AS LONG
DIM bt AS STRING * 1
DIM b AS INTEGER
DIM c AS INTEGER

Setup:
  ' Graphics on (Black & White)
  SCREEN 1, 1
 
  ' Open BMP resource
  f1 = FREEFILE
  OPEN "TBMP0BB8.BIN" FOR BINARY ACCESS READ SHARED AS f1

Main:
  ' Read Width/Height
  GET #f1, , bt
  GET #f1, , bt
  xw = ASC(bt)
  GET #f1, , bt
  GET #f1, , bt
  yw = ASC(bt)

  ' Skip 12 unknown bytes
  GET #f1, , t
  GET #f1, , t
  GET #f1, , t

  ' Load first byte
  GET #f1, , bt
  b = ASC(bt)
  c = 0

  FOR y = 1 TO yw
    FOR x = 1 TO xw

      ' Do we plot this bit?
      IF (b AND (2 ^ (7 - c))) THEN
        PSET (x, y), 1
      END IF

      ' Next bit
      c = c + 1

      ' Do we need another byte?
      IF (c > 7) THEN
        GET #f1, , bt
        b = ASC(bt)
        c = 0
      END IF

    NEXT x
  NEXT y

Shutdown:
  ' Open BMP resource
  CLOSE f1
 
  ' Wait for keypress
  WHILE (INKEY$ = "")
  WEND
 
  ' Graphics off (Color)
  SCREEN 0, 1
  WIDTH 80
END

