/**	
	$Author: dizzy $
	$Revision: 1.9 $
	Last updated: $Date: 2000/10/12 17:17:24 $
	
	$Log: AccountsForm.h,v $
	Revision 1.9  2000/10/12 17:17:24  dizzy
	Email address update; lots of bugfixes
	
	Revision 1.8  2000/09/15 10:10:48  dizzy
	First useful version
	
	Revision 1.7  2000/09/13 11:50:27  dizzy
	The transaction module is fully functional
	
	Revision 1.6  2000/09/08 10:41:10  dizzy
	Transactiondatabas initial support and column display preferences support
	
	Revision 1.5  2000/09/04 14:23:07  dizzy
	General code cleanup

	Copyright (C) 2000 Vlad Mereuta <dizzy@users.sourceforge.net>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
*/

#ifndef __ACCOUNTS_FORM__
#define __ACCOUNTS_FORM__

#include <PalmOS.h>
#include "PalmCoinsRsc.h"
#include "AccountsTable.h"
#include "TransactionsForm.h"


/**
	calculates the totals (if necessary) and draws them on the screen
*/
void	AccountsForm_DisplayTotals();

/**
	Generic handler for the application's static form(s)
	@return true if the event was handled, false otherwise
*/
Boolean AccountsForm_HandleEvent(EventPtr event);

/// init the category trigger
void	AccountsForm_InitCat();

///handle category selection
void	AccountsForm_SelectCat();

#endif
