//
//  Copyright (C) 1998 International Computer Science Institute (ICSI)
//
//  Author: Vladimir Minenko, minenko@icsi.berkeley.edu
//
//  This is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this software; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
//  USA.
//


#define MainForm			1000

#define AboutAlert			1002
#define VersionAlert		1003
#define ClipboardAlert		1005

#define HelpText			1500

#define KeyboardBitmap      1700

#define MainMenuBar			1900

#define MainMenuOpenItem	1901
#define MainMenuCloseItem	1902
#define MainMenuHangUp		1903
#define MainMenuNetworkPrefsItem 1904
#define MainMenuPrefItem	1905

#define MainMenuZoom1Item		1910
#define MainMenuZoom2Item		1911
#define MainMenuZoom3Item		1912
#define MainMenuZoom4Item		1913
#define MainMenuZoomDesktopItem	1914

#define MainMenuSpecialKeysItem 1915

#define MainMenuSavePosItem	1916
#define MainMenuUpdateItem	1917
#define MainMenuConsoleItem	1918

#define MainMenuPasteItem	1920
#define MainMenuSendCADItem	1921
#define MainMenuAltF4Item	1922
#define MainMenuNTLoginItem	1923
#define MainMenuNTLogoutItem	1924
#define MainMenuNTLockItem	1925
#define MainMenuRebootNTItem	1926

#define MainMenuHelpItem	1930
#define MainMenuAboutItem	1931


#define ConsoleForm			2000
#define IOField				2010
#define	ConsoleScrollbar	2020
#define ConsoleCloseButton	2030
#define ConsoleClearButton	2040

#define EditMenuBar			2900
#define EditMenuCopyItem	2911
#define EditMenuPasteItem	2912

#define PrefForm			3000
#define ServerAddressLabel  3005
#define ServerAddressField 	3010
#define ServerPortLabel		3015
#define ServerPortField		3020
#define PasswordLabel		3025
#define PasswordField		3030
#define BeginXLabel			3035
#define BeginXField			3040
#define BeginYLabel			3045
#define BeginYField			3050
#define ScaleFactorLabel	3055
#define ScaleFactorField	3060
#define ShareCheckBox		3070
#define LoginNameNTLabel	3075
#define LoginNameNTField	3080
#define PasswordNTLabel		3085
#define PasswordNTField		3090

#define PrefOkButton		3100
#define PrefCancelButton	3110

#define PasswordForm		4000
#define PassFormPassLabel	4005
#define PassFormPassField	4010
#define PassFormText		4015
#define PassFormOkButton	4020
#define PassFormCancelButton 4030

