/*
 *  $Id: DBUtils.h,v 1.3 2000/08/20 15:33:21 jmanning Exp $
 * Copyright (C) 2000 by Jackie Manning <jackie@linuxfan.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <PalmOS.h>

#ifndef __DBUTILS_H

Err  OpenOrCreateDB(DmOpenRef *dbP, UInt32 type, UInt32 creator,
        UInt32 mode, UInt16 cardNo, char *name, Boolean *created);

typedef Boolean QueryFilter( MemHandle handle );

Err FilterQueryNext( DmOpenRef db, UInt16 *curIndex, QueryFilter *filter );
void WriteObject( void *s, UInt32 *offset, const void *srcP, UInt32 length );

#define __DBUTILS_H 1
#endif
