// PCompress
// Copyright (C) 1999 Britt Yenne
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// 
// To contact the author, visit:  http://www.jump.net/~syenne/pilot/

#define pcompCreator	'PCom'
#define pcompCompressed	'Comp'

// Globals
//
struct _prefs {
  ULong view : 3;		// current view (category)
  ULong viewApps : 1;		// viewing apps only
  ULong level : 4;		// compress level
  ULong compDelete : 1;		// delete source file after compress
  ULong compData : 1;		// compress all data also
  ULong uncompDelete : 1;	// delete source file after uncompress
  ULong uncompData : 1;		// uncompress all data also
} prefs;

#define VectorMaxDflt	100	// Default max vectors in each section

// User-defined compression return codes.
//
#define rcEndOfHeader	(rcUserDefined-1)   // end of valid header
#define rcDmError	(rcUserDefined-2)   // database manager error
#define rcDmLock	(rcUserDefined-3)   // record or DB locked
#define rcNoDmMem	(rcUserDefined-4)   // out of data manager memory
#define rcSkip		(rcUserDefined-5)   // skip this database

// Prototypes
//
extern void    *ReAlloc(void *ptr, ULong size);		// main.c
extern void    *Alloc(ULong size);			// main.c
extern void	Free(void *ptr);			// main.c
