#include <Pilot.h>

static struct LibRef *libref = 0;

extern void GLibClose(struct LibRef *);

void GLib_ZLII(void)
{
    asm ("
.global _tr_align
_tr_align: move.l #1,%%d0; braw dispatch
.global _tr_flush_block
_tr_flush_block: move.l #2,%%d0; braw dispatch
.global _tr_init
_tr_init: move.l #3,%%d0; braw dispatch
.global _tr_stored_block
_tr_stored_block: move.l #4,%%d0; braw dispatch
.global _tr_tally
_tr_tally: move.l #5,%%d0; braw dispatch
.global adler32
adler32: move.l #6,%%d0; braw dispatch
.global crc32
crc32: move.l #7,%%d0; braw dispatch
.global get_crc_table
get_crc_table: move.l #8,%%d0; braw dispatch
.global inflate
inflate: move.l #9,%%d0; braw dispatch
.global inflateEnd
inflateEnd: move.l #10,%%d0; braw dispatch
.global inflateInit2_
inflateInit2_: move.l #11,%%d0; braw dispatch
.global inflateInit_
inflateInit_: move.l #12,%%d0; braw dispatch
.global inflateReset
inflateReset: move.l #13,%%d0; braw dispatch
.global inflateSetDictionary
inflateSetDictionary: move.l #14,%%d0; braw dispatch
.global inflateSync
inflateSync: move.l #15,%%d0; braw dispatch
.global inflate_blocks
inflate_blocks: move.l #16,%%d0; braw dispatch
.global inflate_blocks_free
inflate_blocks_free: move.l #17,%%d0; braw dispatch
.global inflate_blocks_new
inflate_blocks_new: move.l #18,%%d0; braw dispatch
.global inflate_blocks_reset
inflate_blocks_reset: move.l #19,%%d0; braw dispatch
.global inflate_codes
inflate_codes: move.l #20,%%d0; braw dispatch
.global inflate_codes_free
inflate_codes_free: move.l #21,%%d0; braw dispatch
.global inflate_codes_new
inflate_codes_new: move.l #22,%%d0; braw dispatch
.global inflate_fast
inflate_fast: move.l #23,%%d0; braw dispatch
.global inflate_flush
inflate_flush: move.l #24,%%d0; braw dispatch
.global inflate_set_dictionary
inflate_set_dictionary: move.l #25,%%d0; braw dispatch
.global inflate_trees_bits
inflate_trees_bits: move.l #26,%%d0; braw dispatch
.global inflate_trees_dynamic
inflate_trees_dynamic: move.l #27,%%d0; braw dispatch
.global inflate_trees_fixed
inflate_trees_fixed: move.l #28,%%d0; braw dispatch
.global inflate_trees_free
inflate_trees_free: move.l #29,%%d0; braw dispatch
.global uncompress
uncompress: move.l #30,%%d0; braw dispatch
.global zcalloc
zcalloc: move.l #31,%%d0; braw dispatch
.global zcfree
zcfree: move.l #32,%%d0; braw dispatch
.global zlibVersion
zlibVersion: move.l #33,%%d0; braw dispatch

libname:
    .asciz \"Zlib Inflate Library\"
    .even

dispatch:
    lea libname(%%pc),%%a1
    move.l %%a1,%%d2
    move.l %%a4,%%d1
    move.l %%d1,%%d1
    jbeq noglobals
    lea libref(%%a4),%%a1
noglobals:
    move.l %0,%%d1
    braw GLibDispatch
    " : : "i" ('ZLII') );
}

register void *reg_a4 asm("%a4");

void GLib_ZLII_clean(Word cmd, Ptr PBP, Word flags)
{
    if (reg_a4 && libref) {
	GLibClose(libref);
	libref = 0;
    }
}

asm("
.section ehook
.long GLib_ZLII_clean
");
