/****************************************************************************
*																			*
*					SCEZ chipcard library - PTS routines					*
*						Copyright Matthias Bruestle 1999					*
*					For licensing, see the file COPYRIGHT					*
*																			*
****************************************************************************/

/* $Id: scpts.h,v 1.4 2000/09/01 15:31:27 zwiebeltu Exp $ */

#ifndef SC_PTS_H
#define SC_PTS_H

#ifndef SC_GENERAL_H
#error scgeneral.h needs to be included before this.
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* Adjustes ptslen for PCK. */
int scPtsCalcPck( BYTE *pts, int *ptslen );

BOOLEAN scPtsCheckPck( BYTE *pts, int ptslen );

/* Do a PTS handshake. */
int scPtsDoPts( SC_READER_INFO *ri, SC_CARD_INFO *ci, BYTE *pts, int ptslen );

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* SC_PTS_H */

