
#include "titraxAll.h"

/*
 * ClearXXXX-routines
 */
void
ClearTime(Int no)
{
  if (no == noSlotActive)
	 return;

  if (ActiveSlot() == no)
	 SetActiveSlot(noSlotActive);

  SetElapsed(no, 0);
  SetStartedAt(no, 0);

  if (ClearClearsNote())
	 ClearNote(no);
}

void
ClearSlot(Int no)
{
  if (no == noSlotActive)
	 return;

  ClearTime(no);

  SetText(no, "");
  SetTrack(no, false);
  SetDateBook(no, false);
}

void
ClearAllTimes(void)
{
  int i;
  
  for(i = 0; i < MAXSLOT; i++)
	 ClearTime(i);
}

void
ClearAllSlots(void)
{
  int i;

  for(i = 0; i < MAXSLOT; i++)
	 ClearSlot(i);
}

